<?php 
$wp_customize->add_section(
    'peccular_courses_section',
    array(
        'title'   => __( 'Courses', 'peccular' ),
        'panel'   => 'peccular_premium_home_panel1',
        'priority' =>20
    ) 
);

$wp_customize->add_setting('peccular_courses_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    )); 

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_courses_nav', array(
       'section' => 'peccular_courses_section',
       'priority' => 1,
       'buttons' => array( 
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_courses_enable', 
                'peccular_courses_maintitle',
                'peccular_courses_maintext',
                'peccular_courses_subtitle',
                'peccular_courses_headImg_display',
                'peccular_courses_head_icon_enable',
                'peccular_courses_head_icon',  
                'peccular_courses_area_lbl',
                'peccular_courses_section_lbl', 
                'peccular_courses_number', 
                'peccular_courses_heading1',
                'peccular_courses_heading2',
                'peccular_courses_heading3',
                'peccular_courses_heading4',
                'peccular_courses_heading5',
                'peccular_courses_heading6',
                'peccular_courses_heading7',
                'peccular_courses_heading8',
                'peccular_courses_heading9',
                'peccular_courses_heading10',
                'peccular_courses_heading11',
                'peccular_courses_heading12',
                'peccular_courses_page1',
                'peccular_courses_page2',
                'peccular_courses_page3',
                'peccular_courses_page4',
                'peccular_courses_page5',
                'peccular_courses_page6',
                'peccular_courses_page7',
                'peccular_courses_page8',
                'peccular_courses_page9',
                'peccular_courses_page10',
                'peccular_courses_page11',
                'peccular_courses_page12',

                'peccular_courses_page_icon_1',
                'peccular_courses_page_icon_2',
                'peccular_courses_page_icon_3',
                'peccular_courses_page_icon_4',
                'peccular_courses_page_icon_5',
                'peccular_courses_page_icon_6',
                'peccular_courses_page_icon_7',
                'peccular_courses_page_icon_8',
                'peccular_courses_page_icon_9',
                'peccular_courses_page_icon_10',
                'peccular_courses_page_icon_11',
                'peccular_courses_page_icon_12',
                
                'peccular_courses_icon_enable',
                'peccular_courses_button_enable',
                'peccular_courses_btn_txt',
                // 'peccular_courses_btnlink'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_courses_section_bg_color',
                'peccular_courses_section_bg_image',
                'peccular_courses_image_opacity',  
                'peccular_courses_imghover_color',      
                'peccular_courses_box_onload_effects',
                'peccular_courses_title_case',
                'peccular_courses_head_align',
                'peccular_courses_heading_color1',
                'peccular_courses_sectext_color',
                'peccular_courses_subheading_color1',
                'peccular_courses_boxBGcolor_color1',
                'peccular_courses_imghwavesmallborder_color',
                'peccular_courses_imghwaveborder_color',
                'peccular_courses_detailsboxtitle_color',
                'peccular_courses_detailsboxborder_color',
                'peccular_courses_detailsboxicon_color',
                'peccular_courses_detailsboxbg_color',
                'peccular_courses_iconBg_color1',
                'peccular_courses_icon_color1',
                'peccular_courses_heading_brdr_color1',
                'peccular_courses_title_color1',
                'peccular_courses_text_color',
                'peccular_courses_btnbg_color1',
                'peccular_courses_btnborder_color',
                'peccular_courses_btn1txt_color1',
                'peccular_courses_btn1Hovertxt_color1',
                'peccular_courses_btnHoverBG_color1',
                'peccular_courses_contentboxbg_color1',
                'peccular_courses_titlehvr_color1',
                'peccular_courses_texthvr_color',
                'peccular_courses_boxBGhovercolor_color1',
                'peccular_courses_labeltitle_color',
                'peccular_courses_labelbg_color'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_courses_padding',                
                'peccular_courses_top_padding',
                'peccular_courses_bottom_padding',                 
                 'peccular_courses_section_width',                
                'peccular_courses_post_image_height',                
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_courses_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_courses_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_courses_section'
)));

$wp_customize->add_setting(
    'peccular_courses_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Our Most Popular Courses', 'peccular' )
    )
); 
$wp_customize->add_control(
    'peccular_courses_maintitle',
    array(
        'settings'      => 'peccular_courses_maintitle',
        'section'       => 'peccular_courses_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_courses_maintext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '20,000+ unique online course list', 'peccular' )
    )
); 
$wp_customize->add_control(
    'peccular_courses_maintext',
    array(
        'settings'      => 'peccular_courses_maintext',
        'section'       => 'peccular_courses_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Text', 'peccular' )
    )
);



$CoursesSingleChoice[] = 'select';
if(!is_array($CoursesSingleChoice)){
    $wp_customize->add_setting('peccular_courses_area_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
        new peccular_Info_Text( 
            $wp_customize,
            'peccular_courses_area_lbl',
            array(
                'settings'      => 'peccular_courses_area_lbl',
                'section'       => 'peccular_courses_section',
                'label'         => __( 'Note:', 'peccular Premium' ), 
                'description'   => __( '<strong>Changes will not reflect unless you select the courses.</strong> <br/>Please add the courses from "courses menu" and then select courses to show information.', 'peccular Premium' ),
            )
        )
    );
}
$wp_customize->add_setting('peccular_courses_section_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_courses_section_lbl',
        array(
            'settings'      => 'peccular_courses_section_lbl',
            'section'       => 'peccular_courses_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Just place the shortcode "[COURSES]" in your page to list the courses in a page ', 'peccular Premium' ),
        )
    )
);

$wp_customize->add_setting('peccular_courses_number',array('sanitize_callback' => 'peccular_sanitize_text','default' => 2));
$wp_customize->add_control(
    'peccular_courses_number',
    array(
        'settings'      => 'peccular_courses_number',
        'section'       => 'peccular_courses_section',
        'type'          => 'select',
        'label'         => __( 'Number Of Courses To Show', 'peccular-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

//courses PAGES
for( $i = 1; $i<= 12; $i++ ){
    $wp_customize->add_setting(
        'peccular_courses_heading'.$i,
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    ); 
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_courses_heading'.$i,
            array(
                'settings'      => 'peccular_courses_heading'.$i,
                'section'       => 'peccular_courses_section',
                'label'         => __( 'Courses ', 'peccular Premium' ).$i,
            )
        )
    );
    $wp_customize->add_setting(
        'peccular_courses_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    );
    $wp_customize->add_control(
        'peccular_courses_page'.$i,
        array(
            'settings'      => 'peccular_courses_page'.$i,
            'section'       => 'peccular_courses_section',
            'type'=> 'select',
            'label'         => __( 'Select A Course', 'peccular Premium' ),
            'choices' => $CoursesSingleChoice,
        )
    );

    // $wp_customize->add_setting(
    //     'peccular_courses_page_icon_'.$i,
    //     array(
    //         'default'           => 'fa fa-pagelines',
    //         'sanitize_callback' => 'peccular_sanitize_text'
    //     )
    // );        
    // $wp_customize->add_control(
    //     new peccular_Fontawesome_Icon_Chooser(
    //         $wp_customize,
    //         'peccular_courses_page_icon_'.$i,
    //         array(
    //             'settings'      => 'peccular_courses_page_icon_'.$i,
    //             'section'       => 'peccular_courses_section',
    //             'type'          => 'icon',
    //             'label'         => __( 'FontAwesome Icon', 'peccular-premium' ),
    //         )
    //     )
    // );


}

// $wp_customize->add_setting( 'peccular_courses_button_enable' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_courses_button_enable', array( 'label' => 'Button Display', 'section' => 'peccular_courses_section', 'settings' => 'peccular_courses_button_enable', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 

// $wp_customize->add_setting(
//     'peccular_courses_btn_txt',
//     array(
//         'sanitize_callback' => 'peccular_sanitize_text',
//         'default'           => __( 'select course' )
//     )
// );
// $wp_customize->add_control(
//     'peccular_courses_btn_txt',
//     array(
//         'settings'      => 'peccular_courses_btn_txt',
//         'section'       => 'peccular_courses_section',
//         'type'          => 'text',
//         'label'         => __( 'Button Text', 'peccular Premium' )
//     )
// );

// $wp_customize->add_setting('peccular_courses_btnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
// $wp_customize->add_control('peccular_courses_btnlink',
//     array(
//         'settings'      => 'peccular_courses_btnlink',
//         'section'       => 'peccular_courses_section',
//         'type'          => 'url',
//         'label'         => __( 'Add Button link here', 'peccular-premium' )
//     )
// );

  $wp_customize->add_setting( 'peccular_courses_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_courses_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_courses_section',
    )));

    $wp_customize->add_setting( 'peccular_courses_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_courses_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_courses_section',
    )));


 $wp_customize->add_setting('peccular_courses_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_courses_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_courses_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

 $wp_customize->add_setting('peccular_courses_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_courses_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_courses_section',
    ));

    $wp_customize->add_setting('peccular_courses_head_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_courses_head_align',array(
        'type' => 'select',
        'label' => __('Section Heading Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_courses_section',
    ));

     $wp_customize->add_setting('peccular_courses_title_case',array(
        'default' => 'None',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_courses_title_case',array(
        'type' => 'select',
        'label' => __('Courses Title Case','peccular'),
        'choices' => array (
            'Uppercase' => __('Uppercase','peccular'),
            'Lowercase' => __('Lowercase','peccular'),
            'Capitalize' => __('Capitalize','peccular'),
            'None' => __('None','peccular')
        ),
        'section' => 'peccular_courses_section',
    ));
    addColorPalatOption($wp_customize, 'peccular_courses_heading_color1', 'peccular_courses_section', 'Section Heading Color', '');
    addColorPalatOption($wp_customize, 'peccular_courses_sectext_color', 'peccular_courses_section', 'Section Text Color', '');

addColorPalatOption($wp_customize, 'peccular_courses_imghwaveborder_color', 'peccular_courses_section', 'Image Wave Border Color', '');
addColorPalatOption($wp_customize, 'peccular_courses_imghwavesmallborder_color', 'peccular_courses_section', 'Image Wave Small Border Color', '');
addColorPalatOption($wp_customize, 'peccular_courses_title_color1', 'peccular_courses_section', 'Title Color', '');
addColorPalatOption($wp_customize, 'peccular_courses_text_color', 'peccular_courses_section', 'Text Color ', '');


addColorPalatOption($wp_customize, 'peccular_courses_boxBGcolor_color1', 'peccular_courses_section', 'Block BG Color', '');

addColorPalatOption($wp_customize, 'peccular_courses_detailsboxtitle_color', 'peccular_courses_section', 'Box Title Color', '');
addColorPalatOption($wp_customize, 'peccular_courses_detailsboxborder_color', 'peccular_courses_section', 'Box Border Color', '');
addColorPalatOption($wp_customize, 'peccular_courses_detailsboxicon_color', 'peccular_courses_section', 'Box Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_courses_detailsboxbg_color', 'peccular_courses_section', 'Box BG Color', '');

addColorPalatOption($wp_customize, 'peccular_courses_titlehvr_color1', 'peccular_courses_section', 'Title Hover Color', '');


 $wp_customize->add_setting('peccular_courses_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_courses_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_courses_section'
   ));

    $wp_customize->add_setting('peccular_courses_top_padding',array(
        'default' => '5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_courses_top_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_courses_section',
    ));
     $wp_customize->add_setting('peccular_courses_bottom_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_courses_bottom_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_courses_section',
    ));

  // $wp_customize->add_setting('peccular_courses_section_width',array(
  //       'default' => 'Box Width',
  //       'sanitize_callback' => 'peccular_sanitize_choices',
  //   ));
  //   $wp_customize->add_control('peccular_courses_section_width',array(
  //       'type' => 'select',
  //       'label' => __('Section Width','peccular'),
  //       'choices' => array (
  //           'Box Width' => __('Box Width','peccular'),
  //           'Full Width' => __('Full Width','peccular')
  //       ),
  //       'section' => 'peccular_courses_section',
  //   ));

// backgroundManager($wp_customize, 'courses', 'peccular_courses_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

?>