<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );

 
  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_contact_pages' , array(
        'title'    => __( 'Contact Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );

    $wp_customize->add_setting('peccular_contactpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_contactpages_nav', array(
       'section' => 'peccular_contact_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_contactpage_subheading',
                'peccular_contactpage_heading',
                'peccular_contactpage_text',
                'peccular_contact_button_display',
                'peccular_contact_btn_txt',
                'peccular_contact_btnlink',
                'peccular_contact_timetitle',
                'peccular_contactaddress_title',
                'peccular_contactpage_address1',               
                'peccular_contact_page_phonel',
                'peccular_contact_page_phone',                
                'peccular_contact_page_email',   
                'peccular_contact_page_time1',   
                'peccular_contact_page_time3',              
                'peccular_contact_page_time2',
                'peccular_contact_page_time4',
                'peccular_logocontact_image',
                'peccular_contacttime_button_display',
                'peccular_contacttime_btn_txt',
                'peccular_contacttime_btnlink',
                'contact_page_iframemaptitle_shortcode',
                'peccular_logocontact_image',
                'peccular_contactpage_form_text',
                'peccular_contactpage_form_shortcode',     
                'contact_page_iframe_shortcode',   
                'peccular_contactpage_infotitle',        
                'peccular_contact_page_formtitle1',
                'peccular_contform_maintitle',   
                'peccular_contact_socialstitle',       
                'peccular_contactpage_fb',
                'peccular_contactpage_tw',
                'peccular_contactpage_instagram',
                'peccular_contactpage_in',
                'peccular_contactpage_pinterest',
                'peccular_contactpage_youtube',
                'peccular_contactpage_whatsapp'

            ),
            'active' => true,
         ),      
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array( 
                'peccular_contact_section_bg_image',
                'peccular_contact_image_opacity',
                'peccular_contactpage_box_onload_effects',
                'peccular_contactpage_rheading_color',
                'peccular_contactpage_rheadingbg_color',
                'peccular_contactpage_rheadingtext_color',
                'peccular_contact_page_formareatext_color',
                'peccular_contact_page_formtext_color',
                'peccular_contact_page_formtextplaceholder_color',
                'peccular_contact_page_formborder_color',
                'peccular_contactpage_formbtnbg_color1',
                'peccular_contactpage_formbtntext_color',
                'peccular_contact_page_formbtnbghov_color1',
                'peccular_contact_pagee_formbtntexthv_color',
                'peccular_contact_page_formboxbg_color',
                'peccular_contact_page_formboxborder_color',
                'peccular_contact_page_formsecoverlay_color',
                'peccular_contactpage_soacialicon_color',
                'peccular_contactpage_soacialiconborder_color',
                'peccular_contactpage_soacialiconbghover_color',
                'peccular_contactpage_addlbl_color',
                'peccular_contactpage_dataheading_color',
                'peccular_contactpage_addtext1_color',
                'peccular_contactpage_addtexthover_color',
                'peccular_contactpage_addtext1Icon_color',
                'peccular_contactpage_addtextrightBorder_color',
                'peccular_contactpage_topContactBxBg_color',
                'peccular_contactpage_topContactBxHoverBg_color',
                'peccular_contact_page_maptitle_color',
                'peccular_contact_page_headtitle_color',
                'peccular_contact_page_headsubtitle_color',
                'peccular_contact_page_headtext_color',
                'peccular_contact_page_headbtntext_color',
                'peccular_contact_page_headbtnbg_color',
                'peccular_contact_page_headbtnbghover_color',
                'peccular_contact_page_headboxborder_color',
                'peccular_contact_page_headboxbg_color',
                'peccular_contact_page_timeboxbg_color',
                'peccular_contact_page_timeboxsvg_color',
                'peccular_contact_page_timeboxtitle_color',
                'peccular_contact_page_timeboxtext_color',
                'peccular_contact_page_timebtntext_color',
                'peccular_contact_page_timebtnbg_color',
                'peccular_contact_page_timebtnbghover_color'

            ),
         )
        ),
    )));
$wp_customize->add_setting(
    'peccular_contactpage_subheading',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'contact', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_subheading',
    array(
        'settings'      => 'peccular_contactpage_subheading',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Sub Heading', 'peccular' )
    )
);


$wp_customize->add_setting(
    'peccular_contactpage_heading',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Get In Touch', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_heading',
    array(
        'settings'      => 'peccular_contactpage_heading',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Heading', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_text',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_text',
    array(
        'settings'      => 'peccular_contactpage_text',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Text', 'peccular' )
    )
);


// to show & hide another button
$wp_customize->add_setting( 'peccular_contact_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_contact_button_display', array( 'label' => 'Button Display', 'section' => 'peccular_contact_pages', 'settings' => 'peccular_contact_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
// appointment 
$wp_customize->add_setting(
    'peccular_contact_btn_txt',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Join Now' )
    )
);
$wp_customize->add_control(
    'peccular_contact_btn_txt',
    array(
        'settings'      => 'peccular_contact_btn_txt',
        'section'       => 'peccular_contact_pages',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'peccular-premium' )
    )
);

$wp_customize->add_setting('peccular_contact_btnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contact_btnlink',
    array(
        'settings'      => 'peccular_contact_btnlink',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Add Button link here', 'peccular-premium' )
     )
);



$wp_customize->add_setting(
    'peccular_contact_timetitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Opne Every Day', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_timetitle',
    array(
        'settings'      => 'peccular_contact_timetitle',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Time Title', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_page_time1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'mon - thur : 11:30am -12am', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_time1',
    array(
        'settings'      => 'peccular_contact_page_time1',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Time 1', 'peccular' )
    )
);


$wp_customize->add_setting(
    'peccular_contact_page_time2',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'fri : 11:30am-2am', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_time2',
    array(
        'settings'      => 'peccular_contact_page_time2',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Time 2', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_page_time3',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'sat : 9:30am-2am', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_time3',
    array(
        'settings'      => 'peccular_contact_page_time3',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Time 3', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_page_time4',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'sun : 9:30am-12am', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_time4',
    array(
        'settings'      => 'peccular_contact_page_time4',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Time 4', 'peccular' )
    )
);



// to show & hide another button
$wp_customize->add_setting( 'peccular_contacttime_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_contacttime_button_display', array( 'label' => 'Button Display', 'section' => 'peccular_contact_pages', 'settings' => 'peccular_contacttime_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
// appointment 
$wp_customize->add_setting(
    'peccular_contacttime_btn_txt',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Get Directions' )
    )
);
$wp_customize->add_control(
    'peccular_contacttime_btn_txt',
    array(
        'settings'      => 'peccular_contacttime_btn_txt',
        'section'       => 'peccular_contact_pages',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'peccular-premium' )
    )
);

$wp_customize->add_setting('peccular_contacttime_btnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_contacttime_btnlink',
    array(
        'settings'      => 'peccular_contacttime_btnlink',
        'section'       => 'peccular_contact_pages',
        'type'          => 'url',
        'label'         => __( 'Add Button link here', 'peccular-premium' )
     )
);



$wp_customize->add_setting(
    'contact_page_iframemaptitle_shortcode',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '2443 Oak Ridge Omaha, QA 45065', 'peccular' )
    )
);
$wp_customize->add_control(
    'contact_page_iframemaptitle_shortcode',
    array(
        'settings'      => 'contact_page_iframemaptitle_shortcode',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Map Address', 'peccular' )
    )
);

$wp_customize->add_setting('contact_page_iframe_shortcode', array( 'default'=>'Add Map Embed Code Here'));
$wp_customize->add_control('contact_page_iframe_shortcode', array('settings'=>'contact_page_iframe_shortcode', 'section'=>'peccular_contact_pages','type'=>'textarea', 'label'=> __('Embed Code for map', 'peccular')));


$wp_customize->add_setting(
    'peccular_contactpage_infotitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Get In Touch', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_infotitle',
    array(
        'settings'      => 'peccular_contactpage_infotitle',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Info Title', 'peccular' )
    )
);


$wp_customize->add_setting(
    'peccular_contactpage_address1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '2443 Oak Ridge Omaha, QA 45065', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_address1',
    array(
        'settings'      => 'peccular_contactpage_address1',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Address', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_page_phone',
    array(
        'sanitize_callback' => 'peccular_sanitize_phone_number',
        'default'           => __( '207-8767-452', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_phone',
    array(
        'settings'      => 'peccular_contact_page_phone',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'peccular' )
    )
);



$wp_customize->add_setting(
    'peccular_contact_page_email',
    array(
        'sanitize_callback' => 'sanitize_email',
        'default'           => __( 'infosupport@site.com', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_page_email',
    array(
        'settings'      => 'peccular_contact_page_email',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Email Address', 'peccular' )
    )
);

    $wp_customize->add_setting( 'peccular_logocontact_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_logocontact_image', array(
        'label' => __('Logo','peccular'),
       'section' => 'peccular_contact_pages',
    )));


$wp_customize->add_setting(
    'peccular_contactpage_form_text',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_form_text',
    array(
        'settings'      => 'peccular_contactpage_form_text',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Form Text', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactpage_form_shortcode',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Add Form [SHORTCODE] Here', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactpage_form_shortcode',
    array(
        'settings'      => 'peccular_contactpage_form_shortcode',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Form Shortcode', 'peccular' )
    )
); 


    $wp_customize->add_setting( 'peccular_contact_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_contact_section_bg_image', array(
        'label' => __('Form Area Background Image','peccular'),
       'section' => 'peccular_contact_pages',
    )));


 $wp_customize->add_setting('peccular_contact_image_opacity',array(
        'default' => 0.5,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_contact_image_opacity',array(
    'label' => __('Form Area Background Opacity','peccular'),
    'section' => 'peccular_about_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

     $wp_customize->add_setting('peccular_contactpage_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_contactpage_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_contact_pages',
    ));

addColorPalatOption($wp_customize, 'peccular_contact_page_headtitle_color', 'peccular_contact_pages', 'Head Box Title Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_headsubtitle_color', 'peccular_contact_pages', 'Head Box Sub Title Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_headtext_color', 'peccular_contact_pages', 'Head Box Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_headbtntext_color', 'peccular_contact_pages', 'Head Box Button Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_headbtnbg_color', 'peccular_contact_pages', 'Head Box Button BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_headbtnbghover_color', 'peccular_contact_pages', 'Head Box Button BG Hover Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_headboxborder_color', 'peccular_contact_pages', 'Head Box Border Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_headboxbg_color', 'peccular_contact_pages', 'Head Box Bg Color ', '');


addColorPalatOption($wp_customize, 'peccular_contact_page_timeboxbg_color', 'peccular_contact_pages', 'Time Box BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_timeboxsvg_color', 'peccular_contact_pages', 'Time Box Shape Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_timeboxtitle_color', 'peccular_contact_pages', 'Time Box Title Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_timeboxtext_color', 'peccular_contact_pages', 'Time Box Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_timebtntext_color', 'peccular_contact_pages', 'Time Box Button Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_timebtnbg_color', 'peccular_contact_pages', 'Time Box Button BG Color ', '');

addColorPalatOption($wp_customize, 'peccular_contact_page_timebtnbghover_color', 'peccular_contact_pages', 'Time Box Button BG Hover Color ', '');

addColorPalatOption($wp_customize, 'peccular_contact_page_maptitle_color', 'peccular_contact_pages', 'Map Title Color ', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_dataheading_color', 'peccular_contact_pages', 'Detail Heading Color ', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_addtext1_color', 'peccular_contact_pages', 'Address/Phone/Mail Text & Link Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_addtexthover_color', 'peccular_contact_pages', 'Phone/Mail Link Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_addtext1Icon_color', 'peccular_contact_pages', 'Address/Phone/Mail Icon Color', '');

addColorPalatOption($wp_customize, 'peccular_contact_page_formareatext_color', 'peccular_contact_pages', 'Form Box Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_formtext_color', 'peccular_contact_pages', 'Form Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_formtextplaceholder_color', 'peccular_contact_pages', 'Form Placeholder Color ', '');

addColorPalatOption($wp_customize, 'peccular_contact_page_formborder_color', 'peccular_contact_pages', 'Form Border Color ', '');

addColorPalatOption($wp_customize, 'peccular_contactpage_formbtnbg_color1', 'peccular_contact_pages', 'Form Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactpage_formbtntext_color', 'peccular_contact_pages', 'Form Button Text Color', '');

addColorPalatOption($wp_customize, 'peccular_contact_page_formbtnbghov_color1', 'peccular_contact_pages', 'Form Button Hover BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_pagee_formbtntexthv_color', 'peccular_contact_pages', 'Form Button Hover Text Color', '');

addColorPalatOption($wp_customize, 'peccular_contact_page_formboxbg_color', 'peccular_contact_pages', 'Form Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_formboxborder_color', 'peccular_contact_pages', 'Form Box Border Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_page_formsecoverlay_color', 'peccular_contact_pages', 'Form Section Overlay Color', '');

?>