<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );

  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_courses_inner_pages' , array(
        'title'    => __( 'Courses Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );

    $wp_customize->add_setting('peccular_coursesinnerpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_coursesinnerpages_nav', array(
       'section' => 'peccular_courses_inner_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'coursespage_featured_img_on_off'
            ),
            'active' => true,
         ),          
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                'peccular_coursespage_title_color1',
                'peccular_coursespage_text_color',
                'peccular_coursespage_detailsboxtitle_color',
                'peccular_coursespage_detailsboxicon_color',
                'peccular_coursespage_detailsboxborder_color',
                'peccular_coursespage_detailsboxbg_color',
                'peccular_coursespage_btnHoverBG_color1',
                'peccular_coursespage_boxBGcolor_color1',
                'peccular_coursespage_contentboxbg_color1',
                'peccular_coursespage_titlehvr_color1',
                'peccular_coursespage_imghwavesmallborder_color',
                'peccular_courses_imghwaveborder_color',
                'peccular_coursespage_boxBGcolor_color1',
                'peccular_coursespage_labeltitle_color',
                'peccular_coursespage_labelbg_color'
                
            ),
         )
        ),
    )));


$wp_customize->add_setting(
    'coursespage_featured_img_on_off',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
    )
);
$wp_customize->add_control(
    new peccular_Switch_Control(
        $wp_customize,
        'coursespage_featured_img_on_off',
        array(
            'settings'      => 'coursespage_featured_img_on_off',
            'section'       => 'peccular_courses_inner_pages',
            'label'         => __( 'Show Thumbnail Image', 'peccular-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'peccular-premium' ),
                'off' => __( 'No', 'peccular-premium' )
            ),
        )
    )
);
$wp_customize->add_setting('peccular_coursesinnerpage_post_image_height',array(
        'default' => 221,
        'sanitize_callback' => 'peccular_sanitize_integer'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_coursesinnerpage_post_image_height',array(
    'label' => __('Service Image Height','peccular'),
    'section' => 'peccular_service_inner_pages',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1000,
            'step' => 1,
        ),
    )));

addColorPalatOption($wp_customize, 'peccular_coursespage_title_color1', 'peccular_courses_inner_pages', 'Title Color', '');
addColorPalatOption($wp_customize, 'peccular_coursespage_text_color', 'peccular_courses_inner_pages', 'Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_coursespage_detailsboxtitle_color', 'peccular_courses_inner_pages', 'Box Title Color ', '');
addColorPalatOption($wp_customize, 'peccular_coursespage_detailsboxicon_color', 'peccular_courses_inner_pages', 'Box Icon Color ', '');
addColorPalatOption($wp_customize, 'peccular_coursespage_detailsboxborder_color', 'peccular_courses_inner_pages', 'Box Border Color ', '');
addColorPalatOption($wp_customize, 'peccular_coursespage_detailsboxbg_color', 'peccular_courses_inner_pages', 'Box BG Color ', '');

addColorPalatOption($wp_customize, 'peccular_coursespage_titlehvr_color1', 'peccular_courses_inner_pages', 'Title Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_coursespage_imghwavesmallborder_color', 'peccular_courses_inner_pages', 'Image Wave small Border Color ', '');
addColorPalatOption($wp_customize, 'peccular_courses_imghwaveborder_color', 'peccular_courses_inner_pages', 'Image Wave Border Color ', '');
addColorPalatOption($wp_customize, 'peccular_coursespage_boxBGcolor_color1', 'peccular_courses_inner_pages', 'Block BG  Color', '');
?>