<?php   
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package peccular Premium
 */ 

?>
<footer class="footer-area" id="footer">
	 <div class="footer-bg"></div>
 <!-- <div class="peccular-footer-mainoverlay"></div> -->

		<div class="top-area <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">

			<div class="<?php if(get_theme_mod('peccular_footer_section_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_footer_section_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">	

			<?php if( get_theme_mod('peccular_footer_curve_shape_display','show' ) == 'show') :
                        ?>  
 <div class="footer-svg" >
 <div class="footer-f-svg">
 		<svg xmlns="http://www.w3.org/2000/svg" width="412.533" height="347.105" viewBox="0 0 412.533 347.105">
  <path id="Path_50" data-name="Path 50" d="M2042.812,6910s32.667,107.161-12.876,167.885-114.548,25.165-186.032,68.665-48.464,85.539-99.9,105.335-102.378-23.1-102.378-23.1V6910Z" transform="translate(-1641.622 -6910)" fill="#dde7e8"/>
</svg>
</div>
 <div class="footer-s-svg">
<svg xmlns="http://www.w3.org/2000/svg" width="412.533" height="347.105" viewBox="0 0 412.533 347.105">
  <path id="Path_50" data-name="Path 50" d="M2042.812,6910s32.667,107.161-12.876,167.885-114.548,25.165-186.032,68.665-48.464,85.539-99.9,105.335-102.378-23.1-102.378-23.1V6910Z" transform="translate(-1641.622 -6910)" fill="#dde7e8"/>
</svg>
</div>
 <div class="footer-t-svg">
<svg xmlns="http://www.w3.org/2000/svg" width="412.533" height="347.105" viewBox="0 0 412.533 347.105">
  <path id="Path_50" data-name="Path 50" d="M2042.812,6910s32.667,107.161-12.876,167.885-114.548,25.165-186.032,68.665-48.464,85.539-99.9,105.335-102.378-23.1-102.378-23.1V6910Z" transform="translate(-1641.622 -6910)" fill="#dde7e8"/>
</svg>
</div>
   <?php 
    $peccular_footer_curve_shape_image1 = get_theme_mod('peccular_footer_curve_shape_image1');
    if(!empty($peccular_footer_curve_shape_image1)){
        echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_footer_curve_shape_image1).'" class="peccular-footer-imgcurveshape1 " />';
    }else{
        echo '<img alt="footer curve" src="'.get_template_directory_uri().'/images/footer1.png" class="peccular-footer-imgcurveshape1" />';
    }

    ?> 
    <?php 
    $peccular_footer_curve_shape_image2 = get_theme_mod('peccular_footer_curve_shape_image2');
    if(!empty($peccular_footer_curve_shape_image2)){
        echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_footer_curve_shape_image2).'" class="peccular-footer-imgcurveshape2" />';
    }else{
        echo '<img alt="footer curve" src="'.get_template_directory_uri().'/images/footer2.png" class="peccular-footer-imgcurveshape2" />';
    }
         
   ?>
</div>
      <?php endif ?>

			<?php if(is_active_sidebar('peccular-footer1') || is_active_sidebar('peccular-footer2') || is_active_sidebar('peccular-footer3') ){ ?>
				<div class="footer-widget-area">
				<div class="row row-eq-height md-1">
				<div class="s-footer col-lg-3 col-md-6 col-sm-12 col-xs-12 single-footer-1 <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left  <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center<?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn" data-wow-duration="1s" >
						<?php if(is_active_sidebar('peccular-footer1')): 
							dynamic_sidebar('peccular-footer1');
						endif;
						?>	
						
					</div>
				</div>
				<div class="s-footer col-lg-3 col-md-6 col-sm-12 col-xs-12 single-footer-2 <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn" data-wow-duration="1.5s" >
						<?php if(is_active_sidebar('peccular-footer2')): 
							dynamic_sidebar('peccular-footer2');
						endif;
						?>	
						</div>
					</div>

				<div class="s-footer col-lg-3 col-md-6 col-sm-12 col-xs-12 single-footer-3 <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn"  data-wow-duration="2s" >
						<?php if(is_active_sidebar('peccular-footer3')): 
							dynamic_sidebar('peccular-footer3');
						endif;
						?>	
					</div>
				</div>

				<div class="s-footer col-lg-3 col-md-6 col-sm-12 col-xs-12 single-footer-4 <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn" data-wow-duration="2.5s" >
						<?php if(is_active_sidebar('peccular-footer4')): 
							dynamic_sidebar('peccular-footer4');
						endif;
						?>	
					</div>
				</div>
 
			<div class="clearfix"></div>
		</div>
		<div class="clearfix"></div>
	</div>

	<?php } ?>

	</div>
		<div class="clearfix"></div>
		</div>

	<div class="clearfix"></div>
				<?php 
		// Prevent direct access
		if ( ! defined( 'ABSPATH' ) ) {
			exit; // Exit if accessed directly
		}

		$footercopyright = '';
		if (function_exists('custom_theme_copyright')) {
			$footercopyright = custom_theme_copyright();
		}
 
	?>
		<div class="bottom-area footer-border  <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
			<div class="<?php if(get_theme_mod('peccular_footer_section_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_footer_section_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">	
			
				<div class="footer-text  <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_copyright_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_copyright_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_copyright_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<?php if($footercopyright){ ?>
						<?php echo $footercopyright;?>
					<?php } ?>
				</div>
			</div>
			 <?php if( get_theme_mod('peccular_footer_curve_shape_display','show' ) == 'show') :
                        ?>  
 <div class="footer-right-svg">
 <div class="footer-right-f-svg">
<svg xmlns="http://www.w3.org/2000/svg" width="203.151" height="254.871" viewBox="0 0 203.151 254.871">
  <path id="Path_52" data-name="Path 52" d="M1673.443,7169.122s-5.154-48.671,31.026-75.669,49.981,4.459,78.3-32.326,11.577-78.145,34.97-114.812,58.6-31.856,58.6-31.856v254.663Z" transform="translate(-1673.19 -6914.25)" fill="#fff1e8"/>
</svg>
</div>
 <div class="footer-right-s-svg">
<svg xmlns="http://www.w3.org/2000/svg" width="213.839" height="261.535" viewBox="0 0 213.839 261.535">
  <path id="Path_53" data-name="Path 53" d="M1650.115,7188.153s-4.535-50.694,27.782-79.17,66.978.265,98.788-35.419,6.261-78.971,32.647-117.272,53.621-27.64,53.621-27.64" transform="translate(-1649.296 -6926.663)" fill="none" stroke="#fc812d" stroke-width="1"/>
</svg>
</div>
   <?php 
    $peccular_footer_rightcurve_shape_image1 = get_theme_mod('peccular_footer_rightcurve_shape_image1');
    if(!empty($peccular_footer_rightcurve_shape_image1)){
        echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_footer_rightcurve_shape_image1).'" class="peccular-footer-ightimgcurveshape" />';
    }else{
        echo '<img alt="footer curve" src="'.get_template_directory_uri().'/images/footerrights.png" class="peccular-footer-ightimgcurveshape" />';
    }

    ?> 
</div>
      <?php endif ?>
<div class="clearfix"></div>
	</div>
	
	
</footer><!-- #colophon -->
<script type="text/javascript">
	if(jQuery(window).width() >= 1170){
		new WOW().init();
	}
</script>
<script>
	$(window).scroll(function() {
		var height = $(window).scrollTop();
		if (height > 100) {
			$('#back2Top').fadeIn();
		} else {
			$('#back2Top').fadeOut();
		}
	});
	$(document).ready(function() {
		$("#back2Top").click(function(event) {
			event.preventDefault();
			$("html, body").animate({ scrollTop: 0 }, "slow");
			return false;
		});

	});
</script>
 <script src="<?php echo get_template_directory_uri(); ?>/js/gallery/lightgallery.js" type="text/javascript"  ></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/gallery/lg-autoplay.js" type="text/javascript"  ></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/gallery/lg-fullscreen.js" type="text/javascript"  ></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/gallery/lg-thumbnail.js" type="text/javascript"  ></script>
    <script type="text/javascript">
        lightGallery(document.getElementById('products-austrak'), {
            subHtmlSelectorRelative: true,
            thumbnail:true
        });
        lightGallery(document.getElementById('products-sherings'), {
            subHtmlSelectorRelative: true
        }); 
        lightGallery(document.getElementById('products-austmark'), {
            subHtmlSelectorRelative: true
        }); 
    </script>   


<?php wp_footer(); ?>
   <?php
    if(get_theme_mod('back_top_btn_on_off') != 'on' ){
  ?>
<a id="back2Top" title="Back to top" href="#"> 
	<svg class="arrows" viewBox="0 0 55 100">
	<path class="a1" d="M0 0 L30 32 L60 0"></path>
	<path class="a2" d="M0 20 L30 52 L60 20"></path>
	<path class="a3" d="M0 40 L30 72 L60 40"></path>
</svg></a>
 <?php } ?> 
</body>
</html>