<?php
function coursesShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-courses');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_courses_number',2);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0; ?>

    <?php
            while ($query->have_posts()) : $query->the_post();
                $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-courses-thumb');
                    if ($isCustomizer === true) {
                        $courses_area_seats = get_theme_mod('courses_area_seats' . $i);
                        $courses_area_month = get_theme_mod('courses_area_month' . $i);
                    } else {
                        $courses_area_seats = '';
                        $courses_area_month = '';
                    }

                    $post = get_post();


                        //designation
                    $coursesseats = get_post_meta($post->ID, 'coursesseats', false);
                    $courses_area_seats = !empty($coursesseats[0]) ? $coursesseats[0] : '';

                    $coursesmonth = get_post_meta($post->ID, 'coursesmonth', false);
                    $courses_area_month = !empty($coursesmonth[0]) ? $coursesmonth[0] : '';

                ?>
                <?php
                 $peccular_courses_page_icon_ = get_theme_mod('peccular_courses_page_icon_'.$i);
                 ?> 
                <div class="<?php echo $colCls;?> tab">

                       <div  courses-match-height="groupName" class="peccular-courses-box <?php echo esc_attr(get_theme_mod('peccular_courses_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">                      
                                 <div class="peccular-courses-image">
                                    <a href="<?php the_permalink();?>">
                                          <?php
                                        if (has_post_thumbnail()) {
                                            $image_url = $peccular_image[0];
                                        } else {
                                            $image_url = get_template_directory_uri() . '/images/project3.png';
                                        }
                                        ?>   
                                        <img class="peccular-courses-img" src="<?php echo esc_url($image_url); ?>" alt="courses" />
                                            <div class="steam">
                                                <span style="--1:1;"></span>
                                                <span style="--1:3;"></span>
                                                <span style="--1:16;"></span>
                                                <span style="--1:5;"></span>
                                                <span style="--1:18;"></span>
                                                <span style="--1:13;"></span>
                                                <span style="--1:20;"></span>
                                                <span style="--1:6;"></span>
                                                <span style="--1:7;"></span>
                                                <span style="--1:10;"></span>
                                                <span style="--1:8;"></span>
                                                <span style="--1:17;"></span>
                                                <span style="--1:11;"></span>
                                                <span style="--1:12;"></span>
                                                <span style="--1:14;"></span>
                                                <span style="--1:2;"></span>
                                                <span style="--1:9;"></span>
                                                <span style="--1:15;"></span>
                                                <span style="--1:4;"></span>
                                                <span style="--1:19;"></span>
                                                <span style="--1:1;"></span>
                                                <span style="--1:3;"></span>
                                                <span style="--1:16;"></span>
                                                <span style="--1:5;"></span>
                                                <span style="--1:18;"></span>
                                                <span style="--1:13;"></span>
                                                <span style="--1:20;"></span>
                                                <span style="--1:6;"></span>
                                                <span style="--1:7;"></span>
                                                <span style="--1:10;"></span>
                                                <span style="--1:8;"></span>
                                                <span style="--1:17;"></span>
                                                <span style="--1:11;"></span>
                                            </div>
                                        <div class="imageOverlaynew"></div>                            
                                   </a>
<div class="curve-shape-1">
<svg xmlns="http://www.w3.org/2000/svg" width="395" height="221.231" viewBox="0 0 395 221.231">
  <path id="NoPath_-_Copy_49_" data-name="NoPath - Copy (49)" d="M17,0H378a17,17,0,0,1,17,17V192.777s-50.8,34.429-118.151,27.543-84.377-52.073-153.589-54.153S0,212,0,212V17A17,17,0,0,1,17,0Z"/>
</svg>
</div>
<div class="curve-shape-2">
<svg xmlns="http://www.w3.org/2000/svg" width="395" height="221.231" viewBox="0 0 395 221.231">
  <path id="NoPath_-_Copy_49_" data-name="NoPath - Copy (49)" d="M17,0H378a17,17,0,0,1,17,17V192.777s-50.8,34.429-118.151,27.543-84.377-52.073-153.589-54.153S0,212,0,212V17A17,17,0,0,1,17,0Z"/>
</svg>
</div>
<div class="curve-shape-3">
<svg xmlns="http://www.w3.org/2000/svg" width="131.916" height="22.52" viewBox="0 0 131.916 22.52">
  <path id="Path_38" data-name="Path 38" d="M2806.255,2987.726s35.049-15.072,67.945-13.4,63.639,20.1,63.639,20.1-30.743-11.245-63.639-12.919S2806.255,2987.726,2806.255,2987.726Z" transform="matrix(1, -0.017, 0.017, 1, -2857.735, -2922.473)" fill="#006067" opacity="0.2"/>
</svg>
</div>
                                </div><!-- div image-->
                                <div class="clearfix"></div> 
                                <div class="peccular-courses-content">
                                        <h4><a href="<?php the_permalink(); ?>" style="text-transform : <?php if(get_theme_mod('peccular_courses_title_case','None') == 'None'){ ?> none <?php } elseif(get_theme_mod('peccular_courses_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_courses_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_courses_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></a>
                                        </h4> 
                                        <p><?php $peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_courses_post_excerpt','15')) ) ); ?></p>
                                     

                                   

                                    <div class="courser-info-area">
                                      
                                        <ul>
                                            <li>
                                                <i class="fa fa-user" aria-hidden="true"></i> 
                                              for <?php echo get_the_author(); ?>  
                                            </li>
                                            <li>
                                                <i class="fa fa-users" aria-hidden="true"></i>
                                                 <?php echo ($courses_area_seats); ?>
                                            </li>
                                            <li>
                                                <i class="fa fa-clock-o" aria-hidden="true"></i>
                                               <?php echo ($courses_area_month); ?>
                                            </li>
                                            <div class="clearfix"></div>
                                        </ul>
                                       
                                    </div>
                                     <div class="courses-shadow"></div>
                                    <div class="clearfix"></div>
                                 </div>
                            </div> 

      <script>
    var matchHeight = function () {
    
    function init() {
        eventListeners();
        matchHeight();
    }
    
    function eventListeners(){
        $(window).on('resize', function() {
            matchHeight();
        });
    }
    
    function matchHeight(){
        var groupName = $('[courses-match-height]');
        var groupHeights = [];
        
        groupName.css('min-height', 'auto');
        
        groupName.each(function() {
            groupHeights.push($(this).outerHeight());
        });
        
        var maxHeight = Math.max.apply(null, groupHeights);
        groupName.css('min-height', maxHeight);
    };
    
    return {
        init: init
    };
    
} ();

$(document).ready(function() {
    matchHeight.init();
});
</script>

      </div>
        <?php
    endwhile; ?>
    <?php

    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}



function coursesInnerpageShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-courses');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_courses_number',2);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-3 col-md-6 col-sm-6 col-xs-12';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0; ?>

 <div class="row">
    <?php
            while ($query->have_posts()) : $query->the_post();
                  $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-courses-thumb');
                    if ($isCustomizer === true) {
                        $courses_area_seats = get_theme_mod('courses_area_seats' . $i);
                        $courses_area_month = get_theme_mod('courses_area_month' . $i);
                    } else {
                        $courses_area_seats = '';
                        $courses_area_month = '';
                    }

                    $post = get_post();


                        //designation
                    $coursesseats = get_post_meta($post->ID, 'coursesseats', false);
                    $courses_area_seats = !empty($coursesseats[0]) ? $coursesseats[0] : '';

                    $coursesmonth = get_post_meta($post->ID, 'coursesmonth', false);
                    $courses_area_month = !empty($coursesmonth[0]) ? $coursesmonth[0] : '';

                ?>
                <?php
                 $peccular_courses_page_icon_ = get_theme_mod('peccular_courses_page_icon_'.$i);
                 ?> 
                <div class="<?php echo $colCls;?> tab">
                           <div  courses-match-height="groupName" class="peccular-courses-box <?php echo esc_attr(get_theme_mod('peccular_courses_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">     
                            <?php
                            if(get_theme_mod('coursespage_featured_img_on_off') != 'on' ){
                          ?>  
                                 <div class="peccular-courses-image">
                                    <a href="<?php the_permalink();?>">
                                        <?php
                                        if (has_post_thumbnail()) {
                                            $image_url = $peccular_image[0];
                                        } else {
                                            $image_url = get_template_directory_uri() . '/images/project3.png';
                                        }
                                        ?>   
                                        <img class="peccular-courses-img" src="<?php echo esc_url($image_url); ?>" alt="courses"  style="height: <?php echo esc_attr(get_theme_mod('peccular_coursesinnerpage_post_image_height','221')) ?>px;"/>
                                            <div class="steam">
                                                <span style="--1:1;"></span>
                                                <span style="--1:3;"></span>
                                                <span style="--1:16;"></span>
                                                <span style="--1:5;"></span>
                                                <span style="--1:18;"></span>
                                                <span style="--1:13;"></span>
                                                <span style="--1:20;"></span>
                                                <span style="--1:6;"></span>
                                                <span style="--1:7;"></span>
                                                <span style="--1:10;"></span>
                                                <span style="--1:8;"></span>
                                                <span style="--1:17;"></span>
                                                <span style="--1:11;"></span>
                                                <span style="--1:12;"></span>
                                                <span style="--1:14;"></span>
                                                <span style="--1:2;"></span>
                                                <span style="--1:9;"></span>
                                                <span style="--1:15;"></span>
                                                <span style="--1:4;"></span>
                                                <span style="--1:19;"></span>
                                                <span style="--1:1;"></span>
                                                <span style="--1:3;"></span>
                                                <span style="--1:16;"></span>
                                                <span style="--1:5;"></span>
                                                <span style="--1:18;"></span>
                                                <span style="--1:13;"></span>
                                                <span style="--1:20;"></span>
                                                <span style="--1:6;"></span>
                                                <span style="--1:7;"></span>
                                                <span style="--1:10;"></span>
                                                <span style="--1:8;"></span>
                                                <span style="--1:17;"></span>
                                                <span style="--1:11;"></span>
                                            </div>
                                        <div class="imageOverlaynew"></div>                            
                                   </a>
<div class="curve-shape-1">
<svg xmlns="http://www.w3.org/2000/svg" width="395" height="221.231" viewBox="0 0 395 221.231">
  <path id="NoPath_-_Copy_49_" data-name="NoPath - Copy (49)" d="M17,0H378a17,17,0,0,1,17,17V192.777s-50.8,34.429-118.151,27.543-84.377-52.073-153.589-54.153S0,212,0,212V17A17,17,0,0,1,17,0Z"/>
</svg>
</div>
<div class="curve-shape-2">
<svg xmlns="http://www.w3.org/2000/svg" width="395" height="221.231" viewBox="0 0 395 221.231">
  <path id="NoPath_-_Copy_49_" data-name="NoPath - Copy (49)" d="M17,0H378a17,17,0,0,1,17,17V192.777s-50.8,34.429-118.151,27.543-84.377-52.073-153.589-54.153S0,212,0,212V17A17,17,0,0,1,17,0Z"/>
</svg>
</div>
<div class="curve-shape-3">
<svg xmlns="http://www.w3.org/2000/svg" width="131.916" height="22.52" viewBox="0 0 131.916 22.52">
  <path id="Path_38" data-name="Path 38" d="M2806.255,2987.726s35.049-15.072,67.945-13.4,63.639,20.1,63.639,20.1-30.743-11.245-63.639-12.919S2806.255,2987.726,2806.255,2987.726Z" transform="matrix(1, -0.017, 0.017, 1, -2857.735, -2922.473)" fill="#006067" opacity="0.2"/>
</svg>
</div>
                                </div><!-- div image-->
                                                 <?php } ?>
                                <div class="clearfix"></div> 
                                <div class="peccular-courses-content">
                                        <h4><a href="<?php the_permalink(); ?>" style="text-transform : <?php if(get_theme_mod('peccular_courses_title_case','None') == 'None'){ ?> none <?php } elseif(get_theme_mod('peccular_courses_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_courses_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('peccular_courses_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></a>
                                        </h4> 
                                        <p><?php $peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_courses_post_excerpt','15')) ) ); ?></p>
                                     
                                    <div class="courser-info-area">
                                      
                                        <ul>
                                            <li>
                                                <i class="fa fa-user" aria-hidden="true"></i> 
                                              for <?php echo get_the_author(); ?> 
                                            </li>
                                            <li>
                                                <i class="fa fa-users" aria-hidden="true"></i>
                                              <?php echo ($courses_area_seats); ?>
                                            </li>
                                            <li>
                                                <i class="fa fa-clock-o" aria-hidden="true"></i>
                                                <?php echo ($courses_area_month); ?>
                                            </li>
                                            <div class="clearfix"></div>
                                        </ul>
                                       
                                    </div>
                                    <div class="courses-shadow"></div>
                                    <div class="clearfix"></div>
                                </div>
                            </div> 



      <script>
    var matchHeight = function () {
    
    function init() {
        eventListeners();
        matchHeight();
    }
    
    function eventListeners(){
        $(window).on('resize', function() {
            matchHeight();
        });
    }
    
    function matchHeight(){
        var groupName = $('[courses-match-height]');
        var groupHeights = [];
        
        groupName.css('min-height', 'auto');
        
        groupName.each(function() {
            groupHeights.push($(this).outerHeight());
        });
        
        var maxHeight = Math.max.apply(null, groupHeights);
        groupName.css('min-height', maxHeight);
    };
    
    return {
        init: init
    };
    
} ();

$(document).ready(function() {
    matchHeight.init();
});
</script>

      </div>
        <?php
    endwhile; ?>
    <div class="clearfix"></div>
</div>
    <?php

    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}


add_shortcode('COURSES', 'coursesInnerpageShortCode'); 