<?php 
    $wp_customize->add_section(
        'peccular_about_section',
        array(
            'title' => __( 'About Us', 'peccular-premium' ),
            'panel' => 'peccular_premium_home_panel1',
            'priority' =>19
        ) 
    ); 
 
$wp_customize->add_setting('peccular_about_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    )); 
   
    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_about_nav', array(
       'section' => 'peccular_about_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_about_enable',
                'peccular_about_image_lbl',
                'peccular_animation_about_display',
                'peccular_about_image',
                'peccular_about_image2',
                'peccular_about_headImg_display',
                'peccular_about_section_lbl1',
                'peccular_about_areas_lbl2',
                'peccular_about_area_lbl',
                'peccular_about_section_title1',
                'peccular_about_section_spantitle1',
                'peccular_about_subtitle',
                'peccular_about_text',
                'peccular_about_pagelist1',
                'peccular_about_us_icon',
                'peccular_about_section_expnum',
                'peccular_about_section_expTitle',
                'peccular_about_section_listTitle',
                'peccular_about_pagelist2',
                'peccular_about_page_list',
                'peccular_aboutfeture_rightarea_heading',
                'peccular_abouthighlightbox_title',
                'peccular_abouthighlightbox_year',
                 'peccular_about_button_display',
                'peccular_about_btn_txt',
                'peccular_about_btnlink',
                'peccular_aboutfeture_npp_count_heading',
                'peccular_aboutfeture_npp_count',
                'peccular_aboutfeture_page1',
                'peccular_aboutfeture_page_icon1',
                'peccular_aboutfeture_page_title_1',
                'peccular_aboutfeture_page_description_1',
                'peccular_aboutfeture_page2',
                'peccular_aboutfeture_page_icon2',
                'peccular_aboutfeture_page_title_2',
                'peccular_aboutfeture_page_description_2',
                'peccular_aboutfeture_page3',
                'peccular_aboutfeture_page_icon3',
                'peccular_aboutfeture_page_title_3',
                'peccular_aboutfeture_page_description_3',
                'peccular_aboutfeture_page4',
                'peccular_aboutfeture_page_icon4',
                'peccular_aboutfeture_page_title_4',
                'peccular_aboutfeture_page_description_4',
                'peccular_aboutfeture_page5',
                'peccular_aboutfeture_page_icon5',
                'peccular_aboutfeture_page_title_5',
                'peccular_aboutfeture_page_description_5',
                'peccular_aboutfeture_page6',
                'peccular_aboutfeture_page_icon6',
                'peccular_aboutfeture_page_title_6',
                'peccular_aboutfeture_page_description_6',
                'peccular_aboutfeture_page7',
                'peccular_aboutfeture_page_icon7',
                'peccular_aboutfeture_page_title_7',
                'peccular_aboutfeture_page_description_7',
                'peccular_aboutfeture_page8',
                'peccular_aboutfeture_page_icon8',
                'peccular_aboutfeture_page_title_8',
                'peccular_aboutfeture_page_description_8',
                'peccular_aboutfeture_page9',
                'peccular_aboutfeture_page_icon9',
                'peccular_aboutfeture_page_title_9',
                'peccular_aboutfeture_page_description_9',
                'peccular_aboutfeture_page10',
                'peccular_aboutfeture_page_icon10',
                'peccular_aboutfeture_page_title_10',
                'peccular_aboutfeture_page_description_10',
                'peccular_aboutfeture_page11',
                'peccular_aboutfeture_page_icon11',
                'peccular_aboutfeture_page_title_11',
                'peccular_aboutfeture_page_description_11',
                'peccular_aboutfeture_page12',
                'peccular_aboutfeture_page_icon12',
                'peccular_aboutfeture_page_title_12',
                'peccular_aboutfeture_page_description_12'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_about_section_bg_color',
                'peccular_about_section_bg_image',
                'peccular_about_image_opacity',
                'peccular_about_box_onload_effects',
                'peccular_about_head_align',                               
                'peccular_about_sheading_color',
                'peccular_about_sheadingspan_color',
                'peccular_about_sheadingbrdr1_color',
                'peccular_about_subheading_color',
                'peccular_about_sdescriptionText_color',
                 'peccular_about_imgbrbgClr_color',
                'peccular_about_expiconClr_color',
                'peccular_about_expTitleClr_color',
                'peccular_about_expnumClr_color',
                'peccular_about_expboxClr_color',
                'peccular_about_expiconhovercircleClr_color',
                
                 'peccular_about_btntext_color',
                'peccular_about_btnbg_color',
                'peccular_about_btnHovertxt_color',
                'peccular_about_btnHoverBG_color',

                'peccular_about_listTxtClr_color',
                'peccular_about_listicnclr_color',
                'peccular_about_listicnclrborder_color',

                'peccular_about_boxtitle_color',
                'peccular_about_boxtext_color',
                 'peccular_about_boxicon_color',
                'peccular_about_boxiconbg_color',
                 'peccular_about_boxiconbghover_color',
                'peccular_about_boxbg_color',
                'peccular_about_boxbghover_color',
                'peccular_about_boxhoverborder_color',
                
                'peccular_about_highlightboxtitle_color',
                'peccular_about_highlightboxtext_color',
                 'peccular_about_highlightboxicon_color',
                'peccular_about_highlightboxbg_color'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_about_padding',
                'peccular_about_section_t_padding',
                'peccular_about_section_b_padding',
                'peccular_about_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_about_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_about_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_about_section'
)));

$wp_customize->add_setting(
    'peccular_about_section_title1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '# ABOUT US', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_section_title1',
    array(
        'settings'      => 'peccular_about_section_title1',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Section Title', 'peccular-premium' )
    )
);
$wp_customize->add_setting(
    'peccular_about_subtitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Welcome To Cooking Classes', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_subtitle',
    array(
        'settings'      => 'peccular_about_subtitle',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Section Sub Title', 'peccular-premium' )
    )
);


$wp_customize->add_setting(
    'peccular_about_text',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'There are many variations of passages of Lorem Ipsum available, but the alteration in some form, by injected humour, or randomised words which dont look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isnt anything embarrassing hidden in the middle', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_text',
    array(
        'settings'      => 'peccular_about_text',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Description', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_about_pagelist1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '<ul>
            <li>There are many variations of passages of</li>
            <li>Lorem Ipsum available, but the alteration in</li>
                <li>some form, by injected humour, or</li>
            </ul>', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_about_pagelist1',
    array(
        'settings'      => 'peccular_about_pagelist1',
        'section'       => 'peccular_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Left Side Bullet Points', 'peccular-premium' )
    )
);

$wp_customize->add_setting('peccular_aboutfeture_npp_count_heading',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_aboutfeture_npp_count_heading',
        array(
            'settings'      => 'peccular_aboutfeture_npp_count_heading',
            'section'       => 'peccular_about_section',
            'label'         => __( 'Number Of About Features To Show', 'peccular' ),
        )
    )
);    
$wp_customize->add_setting('peccular_aboutfeture_npp_count',array('sanitize_callback' => 'peccular_sanitize_text','default' => 1));
$wp_customize->add_control(
    'peccular_aboutfeture_npp_count',
    array(
        'settings'      => 'peccular_aboutfeture_npp_count',
        'section'       => 'peccular_about_section',
        'type'          => 'select',
        'label'         => __( 'Number Of About Features To Show', 'peccular' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

//FEATURED PAGES
for( $i = 1; $i <= 12; $i++ ){
    $wp_customize->add_setting(
        'peccular_aboutfeture_page'.$i,
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_aboutfeture_page'.$i,
            array(
                'settings'      => 'peccular_aboutfeture_page'.$i,
                'section'       => 'peccular_about_section',
                'label'         => __( 'About Feature Box ', 'peccular-premium' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'peccular_aboutfeture_page_icon'.$i,
        array(
            'default'           => 'fa fa-book',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'peccular_aboutfeture_page_icon'.$i,
            array(
                'settings'      => 'peccular_aboutfeture_page_icon'.$i,
                'section'       => 'peccular_about_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'peccular-premium' ),
            )
        )
    );


// lzAddImageElement($wp_customize, 'peccular_features_page_icon'.$i, 'peccular_about_section', $label="Icon Image Size: 42X42px");

lzAddElement($wp_customize, 'peccular_aboutfeture_page_title_'.$i, 'peccular_about_section', $type = 'text', $label="Title", $callback ='peccular_sanitize_text', $default='Easy Manual');

lzAddElement($wp_customize, 'peccular_aboutfeture_page_description_'.$i, 'peccular_about_section', $type = 'textarea', $label="Description", $callback ='peccular_sanitize_text', $default='There are many variations of passages of Lorem');

}




// to show & hide another button
$wp_customize->add_setting( 'peccular_about_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_about_button_display', array( 'label' => 'Button Display', 'section' => 'peccular_about_section', 'settings' => 'peccular_about_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
// appointment 
$wp_customize->add_setting(
    'peccular_about_btn_txt',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Get Started' )
    )
);
$wp_customize->add_control(
    'peccular_about_btn_txt',
    array(
        'settings'      => 'peccular_about_btn_txt',
        'section'       => 'peccular_about_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'peccular-premium' )
    )
);

$wp_customize->add_setting('peccular_about_btnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_about_btnlink',
    array(
        'settings'      => 'peccular_about_btnlink',
        'section'       => 'peccular_about_section',
        'type'          => 'url',
        'label'         => __( 'Add Button link here', 'peccular-premium' )
     )
);


$wp_customize->add_setting('peccular_aboutfeture_rightarea_heading',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_aboutfeture_rightarea_heading',
        array(
            'settings'      => 'peccular_aboutfeture_rightarea_heading',
            'section'       => 'peccular_about_section',
            'label'         => __( 'Right Area', 'peccular' ),
        )
    )
);    


    $wp_customize->add_setting( 'peccular_about_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_image', array(
        'label' => __('Image','peccular'),
       'section' => 'peccular_about_section',
    )));


$wp_customize->add_setting(
    'peccular_abouthighlightbox_title',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Cooking Classes Experience', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_abouthighlightbox_title',
    array(
        'settings'      => 'peccular_abouthighlightbox_title',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Highlight Box Title', 'peccular-premium' )
    )
);

$wp_customize->add_setting(
    'peccular_abouthighlightbox_year',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '5 Year', 'peccular-premium' )
    )
);
$wp_customize->add_control(
    'peccular_abouthighlightbox_year',
    array(
        'settings'      => 'peccular_abouthighlightbox_year',
        'section'       => 'peccular_about_section', 
        'type'          => 'text',
        'label'         => __( 'Highlight Box Text', 'peccular-premium' )
    )
);




$wp_customize->add_setting( 'peccular_about_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_about_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_about_section',
    )));

$wp_customize->add_setting( 'peccular_about_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_about_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_about_section',
    )));

 $wp_customize->add_setting('peccular_about_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_about_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_about_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));


    
    $wp_customize->add_setting('peccular_about_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Block Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_about_head_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_head_align',array(
        'type' => 'select',
        'label' => __('Section Heading Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_about_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_about_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_about_section'
   ));

    $wp_customize->add_setting('peccular_about_section_t_padding',array(
        'default' => '4',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_about_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_about_section',
    ));
     $wp_customize->add_setting('peccular_about_section_b_padding',array(
        'default' => '7',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_about_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_about_section',
    ));

    $wp_customize->add_setting('peccular_about_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_about_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_about_section',
    ));

addColorPalatOption($wp_customize, 'peccular_about_sheading_color', 'peccular_about_section', 'Section Heading Color', '');
 addColorPalatOption($wp_customize, 'peccular_about_subheading_color', 'peccular_about_section', 'Section Sub Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_about_sdescriptionText_color', 'peccular_about_section', 'Section Text Color', '');

addColorPalatOption($wp_customize, 'peccular_about_listTxtClr_color', 'peccular_about_section', 'List Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_listicnclr_color', 'peccular_about_section', 'List Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_about_listicnclrborder_color', 'peccular_about_section', 'List Icon Border Color', '');

addColorPalatOption($wp_customize, 'peccular_about_boxtitle_color', 'peccular_about_section', 'Box Title Color', '');
addColorPalatOption($wp_customize, 'peccular_about_boxtext_color', 'peccular_about_section', 'Box Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_boxicon_color', 'peccular_about_section', 'Box Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_about_boxiconbg_color', 'peccular_about_section', 'Box Icon BG Color', '');
addColorPalatOption($wp_customize, 'peccular_about_boxiconbghover_color', 'peccular_about_section', 'Box Icon BG Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_about_boxbg_color', 'peccular_about_section', 'Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_about_boxbghover_color', 'peccular_about_section', 'Box BG Hover Color', '');

addColorPalatOption($wp_customize, 'peccular_about_btntext_color', 'peccular_about_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_btnbg_color', 'peccular_about_section', 'Button BG Color', '');
// addColorPalatOption($wp_customize, 'peccular_about_btnHovertxt_color', 'peccular_about_section', 'Button Hover Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_btnHoverBG_color', 'peccular_about_section', 'Button Hover BG Color', '');

addColorPalatOption($wp_customize, 'peccular_about_highlightboxtitle_color', 'peccular_about_section', 'Image Box Title Color', '');
addColorPalatOption($wp_customize, 'peccular_about_highlightboxtext_color', 'peccular_about_section', 'Image Box Text Color', '');
addColorPalatOption($wp_customize, 'peccular_about_highlightboxicon_color', 'peccular_about_section', 'Image Box Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_about_highlightboxbg_color', 'peccular_about_section', 'Image Box BG Color', '');
?>