<?php
$wp_customize->add_section(
    'peccular_contact_section', 
    array(
        'title' => __('Contact', 'peccular-premium' ),
        'panel' => 'peccular_premium_home_panel1',
        'priority' =>27

    )
);

$wp_customize->add_setting('peccular_contact_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));
 
    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_contact_nav', array(
       'section' => 'peccular_contact_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_contact_enable', 
                'contact_MiddleImg_display',
                'peccular_contact_headImg_display',
                'peccular_contact_maintitle',
                'peccular_contact_i_phonetitle',
                'peccular_contact_i_phonedata1',
                'peccular_contact_i_phonedata2',
                'peccular_contact_i_emailtitle',
                'peccular_contact_i_emaildata1',
                'peccular_contact_i_emaildata2',
                'peccular_contact_i_addresstitle',
                'peccular_contact_i_addressdata',
                'peccular_contact_form_submaintitle', 
                'peccular_contact_form_maintitle',           
                'peccular_contact_form_shortcode',
                'peccular_contact_section_lbl3'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(   
                'peccular_contact_section_bg_color',
                'peccular_contact_section_bg_image',
                'peccular_contact_image_opacity', 
                'peccular_contact_leftside_bg_image',
                'peccular_contact_heading_color',
                'peccular_contact_infoboxbg_color',
                'peccular_contact_databoxbg_color',
                'peccular_contact_databoxborderhvrbg_color', 
                'peccular_contact_databoxicon_color',
                'peccular_contact_databoxiconbg_color',
                'peccular_contact_databoxiconhover_color',
                'peccular_contact_databoxtitle_color',
                'peccular_contact_databoxdata_color',
                'peccular_contact_databoxdatahover_color',
                'peccular_contact_form_heading_color',
                'peccular_contact_form_subheading_color',
                'peccular_contact_FormBGOverly_color',
                'peccular_contact_formtext_color',
                'peccular_contact_formborder_color',                
                'peccular_contact_btntext_color',
                'peccular_contact_btnbg_color',
                'peccular_contact_box_onload_effects',
                'peccular_contact_btnhovtext_color',
                'peccular_contact_btnhovbg_color',
        ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_contact_padding',
                'peccular_contactl_section_t_padding',
                'peccular_contactl_section_b_padding',                
                'peccular_contact_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_contact_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_contact_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_contact_section'
)));

$wp_customize->add_setting(
    'peccular_contact_form_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'BOOK YOUR <strong>SCHEDULE</strong>', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_form_maintitle',
    array(
        'settings'      => 'peccular_contact_form_maintitle',
        'section'       => 'peccular_contact_section', 
        'type'          => 'text',
        'label'         => __( 'Form Heading', 'peccular' )
    )
);


$wp_customize->add_setting(
    'peccular_contact_form_shortcode',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Add Form Shortcode Here', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_form_shortcode',
    array(
        'settings'      => 'peccular_contact_form_shortcode',
        'section'       => 'peccular_contact_section', 
        'type'          => 'text',
        'label'         => __( 'Form Shortcode ', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contact_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'GET CALL <br> BACK FORM US', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_maintitle',
    array(
        'settings'      => 'peccular_contact_maintitle',
        'section'       => 'peccular_contact_section', 
        'type'          => 'text',
        'label'         => __( 'Info Heading', 'peccular' )
    )
);

$wp_customize->add_setting('peccular_contact_i_emaildata1',array(       
        'sanitize_callback' => 'sanitize_email',
        'default' => __('info@example.com','peccular-premium')
    ));
    $wp_customize->add_control('peccular_contact_i_emaildata1',array(
        'settings'      => 'peccular_contact_i_emaildata1',
        'type' => 'text',
        'label' => __('Add Email Address','peccular-premium'),
        'section' => 'peccular_contact_section',
    ));


$wp_customize->add_setting('peccular_contact_i_phonedata1',array(
        'sanitize_callback' => 'peccular_sanitize_phone_number',
        'default' => __('+0214521476','peccular-premium')
));
$wp_customize->add_control('peccular_contact_i_phonedata1',array(
    'settings'      => 'peccular_contact_i_phonedata1',
    'type' => 'text',
    'label' => __('Add Phone Number','peccular-premium'),
    'section' => 'peccular_contact_section',
));

$wp_customize->add_setting(
    'peccular_contact_i_addressdata',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '200 Menaul Blvd NE <br> Albuquerque <br>New York <br>87107', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_i_addressdata',
    array(
        'settings'      => 'peccular_contact_i_addressdata',
        'section'       => 'peccular_contact_section', 
        'type'          => 'textarea',
        'label'         => __( 'Location', 'peccular' )
    )
);


    $wp_customize->add_setting('peccular_contact_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_contact_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_contact_section'
   ));

  $wp_customize->add_setting('peccular_contactl_section_t_padding',array(
        'default' => '10',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_contactl_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_contact_section',
    ));
     $wp_customize->add_setting('peccular_contactl_section_b_padding',array(
        'default' => '3',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_contactl_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_contact_section',
    ));


    $wp_customize->add_setting( 'peccular_contact_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_contact_section_bg_color', array(
        'label' => __('Section BG Color','peccular'),
       'section' => 'peccular_contact_section',
    )));


    $wp_customize->add_setting( 'peccular_contact_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_contact_section_bg_image', array(
        'label' => __('Section BG Image','peccular'),
       'section' => 'peccular_contact_section',
    )));


     $wp_customize->add_setting('peccular_contact_image_opacity',array(
        'default' => '',
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_contact_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_contact_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

    $wp_customize->add_setting( 'peccular_contact_leftside_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_contact_leftside_bg_image', array(
        'label' => __('Form BG Image','peccular'),
       'section' => 'peccular_contact_section',
    )));

    $wp_customize->add_setting('peccular_contact_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_contact_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_contact_section',
    ));

    $wp_customize->add_setting('peccular_contact_section_width',array(
        'default' => 'Full Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_contact_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_contact_section',
    ));

addColorPalatOption($wp_customize, 'peccular_contact_form_heading_color', 'peccular_contact_section', 'Form Title Color', '');

addColorPalatOption($wp_customize, 'peccular_contact_formtext_color', 'peccular_contact_section', 'Form Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_formborder_color', 'peccular_contact_section', 'Form BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_btntext_color', 'peccular_contact_section', 'Button Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_btnbg_color', 'peccular_contact_section', 'Button BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_btnhovtext_color', 'peccular_contact_section', 'Button Hover Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contact_btnhovbg_color', 'peccular_contact_section', 'Button Hover BG Color ', '');

addColorPalatOption($wp_customize, 'peccular_contact_heading_color', 'peccular_contact_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_infoboxbg_color', 'peccular_contact_section', 'Info Box BG Color', '');

addColorPalatOption($wp_customize, 'peccular_contact_databoxicon_color', 'peccular_contact_section', 'Data Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_databoxiconbg_color', 'peccular_contact_section', 'Data Icon BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_databoxiconhover_color', 'peccular_contact_section', 'Data Icon Hover Color', '');
// addColorPalatOption($wp_customize, 'peccular_contact_databoxtitle_color', 'peccular_contact_section', 'Data Title Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_databoxdata_color', 'peccular_contact_section', 'Data Info Color', '');
addColorPalatOption($wp_customize, 'peccular_contact_databoxdatahover_color', 'peccular_contact_section', 'Data Info Hover Color', '');



?>