<?php  
//$peccularSliderSingleChoice = getpeccularPostsType('slider');
$wp_customize->add_section(
    'peccular_slider_section',
    array(
        'title' => __( 'Slider', 'peccular' ),
        'panel' => 'peccular_premium_home_panel1',
        'priority' =>18
    )
); 
 
$wp_customize->add_setting('peccular_slider_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    )); 
 
    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_slider_nav', array(
       'section' => 'peccular_slider_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'slider_section_show_content',  
                'peccular_animation_slider_display',
                'peccular_header_curve_shape_display',   
                'peccular_header_curve_shape_image_lbl1', 
                'peccular_header_curve_shape_image_lbl2', 
                'peccular_header_curve_shape_image_lbl3', 
                'peccular_header_curve_shape_image1', 
                'peccular_header_curve_shape_image2', 
                'peccular_header_curve_shape_image3', 
                'peccular_slider_rightside_img_display',  
                'peccular_slider_rightside_image_lbl',    
                'peccular_slider_rightside_image'  
            ),
            'active' => true,
         ), 
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_slider_bg_color',
                'peccular_slider_curveshapebg_color',
                'peccular_slider_heading_color',
                'peccular_slider_headingspan_color',
                'peccular_slider_text_color',
                'peccular_slider_buttontext_color1',
                'peccular_slider_buttonbg_color1',              
                'peccular_indicatorhoverColor_lbl',
                'peccular_slider_buttonbghov_color1',
                'peccular_slider_indicatortextprevnext_color',
                'peccular_slider_indicatortextprevnextbg_color',
                "peccular_slider_indicatortextprevnextborder_color",
                'peccular_slider_indicatortextprevnexthover_color',
                'peccular_slider_indicatortextprevnextborderhover_color',
                "peccular_slider_indicatordividerborder_color",
                'peccular_slider_curveshape_color1',
                'peccular_slider_rightcurveshape_color1'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                // 'peccular_slider_section_width',
                'peccular_slider_padding',
                'peccular_slider_section_t_padding',
                'peccular_slider_section_b_padding'
            ),
         )
        ),
    )));

$wp_customize->add_setting(
    'slider_section_show_content',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
    )
);
$wp_customize->add_control(
    new peccular_Switch_Control(
        $wp_customize,
        'slider_section_show_content',
        array(
            'settings'      => 'slider_section_show_content',
            'section'       => 'peccular_slider_section',
            'label'         => __( 'Hide Title And Description On Slider', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk' ),
                'off' => __( 'No', 'Luzuk' )
            ),
        )
    )
);


// to show & hide another button
$wp_customize->add_setting( 'peccular_header_curve_shape_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_header_curve_shape_display', array( 'label' => 'Curve Shape Display', 'section' => 'peccular_slider_section', 'settings' => 'peccular_header_curve_shape_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Curve Shape', 'hide' => 'Hide Curve Shape', ), ) ); 
// end to show & hide button


$wp_customize->add_setting('peccular_header_curve_shape_image_lbl1', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_header_curve_shape_image_lbl1',
        array(
            'settings'      => 'peccular_header_curve_shape_image_lbl1',
            'section'       => 'peccular_slider_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Transperent Image Size: 133 × 151 px ', 'peccular Premium' ),
        )
    )
);

    $wp_customize->add_setting( 'peccular_header_curve_shape_image1', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_header_curve_shape_image1', array(
        'label' => __('Image 1','peccular'),
       'section' => 'peccular_slider_section',
    )));

$wp_customize->add_setting('peccular_header_curve_shape_image_lbl2', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_header_curve_shape_image_lbl2',
        array(
            'settings'      => 'peccular_header_curve_shape_image_lbl2',
            'section'       => 'peccular_slider_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Transperent Image Size: 128 × 169 px ', 'peccular Premium' ),
        )
    )
);

    $wp_customize->add_setting( 'peccular_header_curve_shape_image2', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_header_curve_shape_image2', array(
        'label' => __('Image 2','peccular'),
       'section' => 'peccular_slider_section',
    )));


$wp_customize->add_setting('peccular_header_curve_shape_image_lbl3', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_header_curve_shape_image_lbl3',
        array(
            'settings'      => 'peccular_header_curve_shape_image_lbl3',
            'section'       => 'peccular_slider_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Transperent Image Size: 177 × 105 px ', 'peccular Premium' ),
        )
    )
);


    $wp_customize->add_setting( 'peccular_header_curve_shape_image3', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_header_curve_shape_image3', array(
        'label' => __('Image 3','peccular'),
       'section' => 'peccular_slider_section',
    )));


// to show & hide another button
$wp_customize->add_setting( 'peccular_slider_rightside_img_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_slider_rightside_img_display', array( 'label' => 'Right Image Display', 'section' => 'peccular_slider_section', 'settings' => 'peccular_slider_rightside_img_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Right Image', 'hide' => 'Hide Right Image', ), ) ); 
// end to show & hide button

$wp_customize->add_setting('peccular_slider_rightside_image_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_slider_rightside_image_lbl',
        array(
            'settings'      => 'peccular_slider_rightside_image_lbl',
            'section'       => 'peccular_slider_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Transperent Image Size: 362 × 584 px', 'peccular Premium' ),
        )
    )
);

    $wp_customize->add_setting( 'peccular_slider_rightside_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_slider_rightside_image', array(
        'label' => __('Right Image','peccular'),
       'section' => 'peccular_slider_section',
    )));




    // $wp_customize->add_setting('peccular_slider_section_width',array(
    //     'default' => 'Full Width',
    //     'sanitize_callback' => 'peccular_sanitize_choices',
    // ));
    // $wp_customize->add_control('peccular_slider_section_width',array(
    //     'type' => 'select',
    //     'label' => __('Section Width','peccular'),
    //     'choices' => array (
    //         'Box Width' => __('Box Width','peccular'),
    //         'Full Width' => __('Full Width','peccular')
    //     ),
    //     'section' => 'peccular_slider_section',
    // ));
addColorPalatOption($wp_customize, 'peccular_slider_bg_color', 'peccular_slider_section', 'Slider BG Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_heading_color', 'peccular_slider_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_headingspan_color', 'peccular_slider_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_text_color', 'peccular_slider_section', 'Text Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_buttontext_color1', 'peccular_slider_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_buttonbg_color1', 'peccular_slider_section', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_buttonbghov_color1', 'peccular_slider_section', 'Button BG Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_curveshape_color1', 'peccular_slider_section', 'Left Curve Shape Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_rightcurveshape_color1', 'peccular_slider_section', 'Right Curve Shape Color', '');

$wp_customize->add_setting('peccular_indicatorhoverColor_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_indicatorhoverColor_lbl',
        array(
            'settings'      => 'peccular_indicatorhoverColor_lbl',
            'section'       => 'peccular_slider_section',
            'label'         => __( 'Indicator Colors', 'peccular' ),
        )
    )
); 
addColorPalatOption($wp_customize, 'peccular_slider_indicatortextprevnext_color', 'peccular_slider_section', 'Indicator Prev / Next Color', '');

addColorPalatOption($wp_customize, 'peccular_slider_indicatortextprevnextborder_color', 'peccular_slider_section', 'Indicator Prev / Next Border Color', '');

addColorPalatOption($wp_customize, 'peccular_slider_indicatortextprevnextbg_color', 'peccular_slider_section', 'Indicator Prev / Next BG Color', '');


addColorPalatOption($wp_customize, 'peccular_slider_indicatortextprevnexthover_color', 'peccular_slider_section', 'Indicator Prev / Next  Hover Color', '');

addColorPalatOption($wp_customize, 'peccular_slider_indicatortextprevnextborderhover_color', 'peccular_slider_section', 'Indicator Prev / Next Border Hover Color', '');

addColorPalatOption($wp_customize, 'peccular_slider_indicatordividerborder_color', 'peccular_slider_section', 'Indicator Divider Border Color', '');

$wp_customize->add_setting('peccular_slider_padding',array(
      'sanitize_callback'   => ''
   ));
   $wp_customize->add_control('peccular_slider_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_slider_section'
   ));

    $wp_customize->add_setting('peccular_slider_section_t_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_slider_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_slider_section',
    ));
 
    $wp_customize->add_setting('peccular_slider_section_b_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_slider_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_slider_section',
    ));
 ?>