<?php 
  $lvl1ParentPanel = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel1', array(
    'title' => 'General Settings',
    'priority' => 1,
  ));
$wp_customize->add_panel( $lvl1ParentPanel );

  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );

  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_inner_pages' , array(
        'title'    => __( 'Inner Pages', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );

    $wp_customize->add_setting('peccular_innerpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));
 
    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_innerpages_nav', array(
       'section' => 'peccular_inner_pages',
       'priority' => 1, 
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'innerpage_featured_img_on_off',
                'peccular_innerpage_section_lbl',
                'peccular_list_icon',
                'peccular_sidebarlist_icon',
                'page_title_on_off',
                'peccular_innerpagebulletpoint',
                'peccular_innerpage_bulletpointicon' 
            ),
            'active' => true,
         ),          
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_innerpage_pagetitle_padding',
                'peccular_innerpage_pagetitle_t_padding',
                'peccular_innerpage_pagetitle_b_padding' ,   
                'peccular__page_layout',
                'peccular_innerpage_image_height',
                'peccular_inner_page_width',

            ),
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array( 
                'peccular_innerpage_image_opacity',
                'peccular_innerpage_header_box_onload_effects',   
                'peccular_innerpage_content_color',
                'peccular_innerpage_link_color',
                'peccular_innerpage_textlink_color',
                'peccular_innerpage_linkhover_color',
                'peccular_innerpage_bg_color',
                'peccular_innerpage_contentborder_color',
                'peccular_innerpageColor_lbl',
                'peccular_innerpageheaderColor_lbl',
                'peccular_innerpage_title_color',
                'peccular_innerpage_headbordercolor1',
                'peccular_innerpage_headbordercolor2',
                'peccular_innerpage_headeroverlay_color',
                'peccular_innerpage_headerimgborder_color',
                'peccular_innerpage_headerrightsideshape_color',
                'peccular_innerpage_titlebg_color',
                'peccular_innerpage_titlebgborder_color',
                'peccular_innerpagesidebarColor_lbl',
                'peccular_innerpage_sidebartitle_color',
                'peccular_innerpage_sidebartitlebg_color',
                'peccular_header_respsidebartitlebgColor',
                'peccular_innerpage_sidebartitleshape_color',
                'peccular_innerpage_sidebartext_color',
                'peccular_innerpage_sidebartag_color',
                'peccular_innerpage_sidebarlinkicon_color',
                'peccular_innerpage_nav_color',
                'peccular_innerpage_navbg_color',
                'peccular_innerpage_navhoverbg_color',
                'peccular_innerpage_navhover_color',
                'peccular_innerpage_navicon_color',
                'peccular_innerpage_naviconbg_color',
                'peccular_innerpage_navlicon_color',
                'peccular_innerpage_navhovericon_color',
                'peccular_innerpage_navhovericonbg_color',
                'peccular_innerpage_sidebarbg_color',
                'peccular_innerpage_sidebarlinkicon_color',
                'peccular_innerpage_titleLeafborder_color',
                'peccular_innerpagelistColor_lbl',
                'peccular_innerpage_unorderlisttext_color',
                'peccular_innerpage_orderlisttext_color',
                'peccular_innerpage_listicon_color',
                'peccular_innerpage_listnumber_color',
                'peccular_innerpage_listnumberborder_color',
                'peccular_innerpage_listnumberbg_color',
                'peccular_innerpage_listnumberbackbg_color',
                'peccular_innerpagepaginationColor_lbl',
                'peccular_innerpage_pagination_color',
                'peccular_innerpage_paginationbg_color',
                'peccular_innerpage_paginationborder_color',
                'peccular_innerpage_paginationactivetext_color', 
                'peccular_innerpage_paginationactivebg_color',    
                'peccular_innerpageblockquoteColor_lbl',       
                'peccular_innerpage_blockquotebg_color',
                'peccular_innerpage_blockquoteborder_color',
                'peccular_innerpage_blockquotetext_color',
                'peccular_innerpage_formfield_color',
                'peccular_innerpage_formbg_color',
                'peccular_innerpage_formborder_color',
                'peccular_innerpage_formborderhover_color',
                'peccular_innerpage_formbuttontext_color',
                'peccular_innerpage_formbuttonbg_color',
                'peccular_innerpage_formbuttonbghover_color',
                'peccular_innerpage_blockquotelbeltext_color',
                'peccular_innerpage_blockquotelbelbg_color',
                'peccular_innerpage_blockquoteleftshape_color',
                'peccular_innerpage_blockquotericon_color'
            ),
         )
        ),
    )));


$wp_customize->add_setting('peccular_innerpage_pagetitle_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_innerpage_pagetitle_padding',array(
      'label' => __('Page Tittle Padding','peccular'),
      'section' => 'peccular_inner_pages'
   ));

    $wp_customize->add_setting('peccular_innerpage_pagetitle_t_padding',array(
        'default' => '67',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_innerpage_pagetitle_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_inner_pages',
    ));
     $wp_customize->add_setting('peccular_innerpage_pagetitle_b_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_innerpage_pagetitle_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_inner_pages',
    ));

$wp_customize->add_setting(
    'innerpage_featured_img_on_off',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
    )
);
$wp_customize->add_control(
    new peccular_Switch_Control(
        $wp_customize,
        'innerpage_featured_img_on_off',
        array(
            'settings'      => 'innerpage_featured_img_on_off',
            'section'       => 'peccular_inner_pages',
            'label'         => __( 'Page Featured Image', 'peccular-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'peccular-premium' ),
                'off' => __( 'No', 'peccular-premium' )
            ),
        )
    )
);

 $wp_customize->add_setting('peccular_innerpage_image_opacity',array(
        'default' => 0.1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_innerpage_image_opacity',array(
    'label' => __('Image Opacity','peccular'),
    'section' => 'peccular_inner_pages',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

// $wp_customize->add_setting('peccular_innerpage_image_height',array(
//         'default' => 360,
//         'sanitize_callback' => 'peccular_sanitize_integer'
//     ));
//     $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_innerpage_image_height',array(
//     'label' => __('BG Image Height','peccular'),
//     'section' => 'peccular_inner_pages',
//     'input_attrs' => array(
//             'min' => 0,
//             'max' => 500,
//             'step' => 1,
//         ),
//     )));

$wp_customize->add_setting(
    'page_title_on_off',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
    )
);
$wp_customize->add_control(
    new peccular_Switch_Control(
        $wp_customize,
        'page_title_on_off',
        array(
            'settings'      => 'page_title_on_off',
            'section'       => 'peccular_inner_pages',
            'label'         => __( 'Page Title', 'peccular-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'peccular-premium' ),
                'off' => __( 'No', 'peccular-premium' )
            ),
        )
    )
);

$wp_customize->add_setting('peccular_innerpage_section_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_innerpage_section_lbl',
        array(
            'settings'      => 'peccular_innerpage_section_lbl',
            'section'       => 'peccular_inner_pages',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Add Unicode Of Font Awesome Icon For Bullet Icon ', 'peccular Premium' ),
        )
    )
);

 $wp_customize->add_setting('peccular_list_icon',array(
        'default' => '\f0f5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_list_icon',array(
    'type' => 'text',
    'label' => __('Bullet Icon','peccular'),
    'section' => 'peccular_inner_pages',
    ));


 $wp_customize->add_setting('peccular_sidebarlist_icon',array(
        'default' => '\f0f5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_sidebarlist_icon',array(
    'type' => 'text',
    'label' => __('Sidebar Bullet Icon','peccular'),
    'section' => 'peccular_inner_pages',
    ));



//Page Layout
$lzPageLayout = getPageLayout(true);

$wp_customize->add_setting(
   'peccular__page_layout',
   array(
      'sanitize_callback'=> 'absint',
      'default' => '0'
   )
);
$wp_customize->add_control(
   new peccular_Font_Chooser(
      $wp_customize,
      'peccular__page_layout',
      array(
         'settings'=> 'peccular__page_layout',
         'section' => 'peccular_inner_pages',
         'label'=>__('Left / Right And No Sidebar', 'peccular Premium'),
         'choices'=>$lzPageLayout
      )
   )
);

$wp_customize->add_setting('peccular_inner_page_width',array(
    'default' => 'Box Width',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_inner_page_width',array(
    'type' => 'select',
    'label' => __('Page Width','peccular'),
    'choices' => array (
        'Box Width' => __('Box Width','peccular'),
        'Full Width' => __('Full Width','peccular')
    ),
    'section' => 'peccular_inner_pages',
));


$wp_customize->add_setting('peccular_innerpage_header_box_onload_effects',array(
    'default' => 'wow zoomIn',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_innerpage_header_box_onload_effects',array(
    'type' => 'select',
    'label' => __('Header Box Transition Effects','peccular'),
    'choices' => array (
        'wow bounceInLeft' => __('Bounce In Left','peccular'),
        'wow bounceInRight' => __('Bounce In Right','peccular'),
        'wow bounceInUp' => __('Bounce In Up','peccular'),
        'wow bounceInDown' => __('Bounce In Down','peccular'),
        'wow zoomIn' => __('Zoom In','peccular'),
        'wow zoomOut' => __('Zoom Out','peccular'),
        'wow fadeInDown' => __('Fade In Down','peccular'),            
        'wow fadeInUp' => __('Fade In Up','peccular'),
        'wow fadeInLeft' => __('Fade In Left','peccular'),
        'wow fadeInRight' => __('Fade In Right','peccular'),
        'flip-up' => __('Flip Up','peccular')
    ),
    'section' => 'peccular_inner_pages',
));

$wp_customize->add_setting('peccular_innerpageheaderColor_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_innerpageheaderColor_lbl',
        array(
            'settings'      => 'peccular_innerpageheaderColor_lbl',
            'section'       => 'peccular_inner_pages',
            'label'         => __( 'Inner Page Header Colors', 'peccular' ),
        )
    )
); 


addColorPalatOption($wp_customize, 'peccular_innerpage_title_color', 'peccular_inner_pages', 'Page Title Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_headeroverlay_color', 'peccular_inner_pages', 'Header Overlay Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_headerimgborder_color', 'peccular_inner_pages', 'Header Image Border Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_headerrightsideshape_color', 'peccular_inner_pages', 'Header Right Side Shape Color', '');
$wp_customize->add_setting('peccular_innerpageColor_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_innerpageColor_lbl',
        array(
            'settings'      => 'peccular_innerpageColor_lbl',
            'section'       => 'peccular_inner_pages',
            'label'         => __( 'Inner Page Colors', 'peccular' ),
        )
    )
); 

addColorPalatOption($wp_customize, 'peccular_innerpage_content_color', 'peccular_inner_pages', 'Content Text Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_textlink_color', 'peccular_inner_pages', 'Text Link & Highlight Text Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_bg_color', 'peccular_inner_pages', 'BG Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_contentborder_color', 'peccular_inner_pages', 'Content Border Color', '');

$wp_customize->add_setting('peccular_innerpagesidebarColor_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_innerpagesidebarColor_lbl',
        array(
            'settings'      => 'peccular_innerpagesidebarColor_lbl',
            'section'       => 'peccular_inner_pages',
            'label'         => __( 'Sidebar Colors', 'peccular' ),
        )
    )
); 


addColorPalatOption($wp_customize, 'peccular_innerpage_sidebartitle_color', 'peccular_inner_pages', 'Title Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_sidebartitlebg_color', 'peccular_inner_pages', 'Title BG Color', '');
addColorPalatOption($wp_customize, 'peccular_header_respsidebartitlebgColor', 'peccular_inner_pages', 'Title Responsive BG Color', '');

addColorPalatOption($wp_customize, 'peccular_innerpage_sidebartitleshape_color', 'peccular_inner_pages', 'Title Shape Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_sidebartext_color', 'peccular_inner_pages', 'Text Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_link_color', 'peccular_inner_pages', 'Link Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_linkhover_color', 'peccular_inner_pages', 'Link Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_sidebarlinkicon_color', 'peccular_inner_pages', 'Link Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_sidebartag_color', 'peccular_inner_pages', 'Tag Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_nav_color', 'peccular_inner_pages', 'Nav Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_navbg_color', 'peccular_inner_pages', 'Nav BG Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_navicon_color', 'peccular_inner_pages', 'Nav Right Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_naviconbg_color', 'peccular_inner_pages', 'Nav Right Icon BG Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_navlicon_color', 'peccular_inner_pages', 'Nav Left Icon Color', '');

addColorPalatOption($wp_customize, 'peccular_innerpage_navhoverbg_color', 'peccular_inner_pages', 'Nav BG Hover Color', '');

addColorPalatOption($wp_customize, 'peccular_innerpage_sidebarbg_color', 'peccular_inner_pages', 'Area Color', '');

addColorPalatOption($wp_customize, 'peccular_innerpage_formfield_color', 'peccular_inner_pages', 'Form Text Color', '');
// addColorPalatOption($wp_customize, 'peccular_innerpage_formbg_color', 'peccular_inner_pages', 'Form Bg Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_formborder_color', 'peccular_inner_pages', 'Form Border Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_formborderhover_color', 'peccular_inner_pages', 'Form Border Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_formbuttontext_color', 'peccular_inner_pages', 'Form Button Text & Search Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_formbuttonbg_color', 'peccular_inner_pages', 'Form Button & Search Icon BG Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_formbuttonbghover_color', 'peccular_inner_pages', 'Form Button & Search Icon BG Hover Color', '');

$wp_customize->add_setting('peccular_innerpagelistColor_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_innerpagelistColor_lbl',
        array(
            'settings'      => 'peccular_innerpagelistColor_lbl',
            'section'       => 'peccular_inner_pages',
            'label'         => __( 'List Colors', 'peccular' ),
        )
    )
); 


addColorPalatOption($wp_customize, 'peccular_innerpage_unorderlisttext_color', 'peccular_inner_pages', 'Unorder List Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_orderlisttext_color', 'peccular_inner_pages', 'Order List Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_listicon_color', 'peccular_inner_pages', 'List Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_listnumber_color', 'peccular_inner_pages', 'Order List Number Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_listnumberbg_color', 'peccular_inner_pages', 'Order List Number BG Color', '');
// addColorPalatOption($wp_customize, 'peccular_innerpage_listnumberbackbg_color', 'peccular_inner_pages', 'Order List Number Back BG Color', '');
$wp_customize->add_setting('peccular_innerpagepaginationColor_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_innerpagepaginationColor_lbl',
        array(
            'settings'      => 'peccular_innerpagepaginationColor_lbl',
            'section'       => 'peccular_inner_pages',
            'label'         => __( 'Pagination Colors', 'peccular' ),
        )
    )
); 

addColorPalatOption($wp_customize, 'peccular_innerpage_pagination_color', 'peccular_inner_pages', 'Text Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_paginationbg_color', 'peccular_inner_pages', 'BG Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_paginationborder_color', 'peccular_inner_pages', 'Border Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_paginationactivetext_color', 'peccular_inner_pages', 'Hover/Active Text Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_paginationactivebg_color', 'peccular_inner_pages', 'Hover/Active BG Color', '');

$wp_customize->add_setting('peccular_innerpageblockquoteColor_lbl',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_innerpageblockquoteColor_lbl',
        array(
            'settings'      => 'peccular_innerpageblockquoteColor_lbl',
            'section'       => 'peccular_inner_pages',
            'label'         => __( 'Blockquote Colors', 'peccular' ),
        )
    )
); 

addColorPalatOption($wp_customize, 'peccular_innerpage_blockquotebg_color', 'peccular_inner_pages', 'BG Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_blockquotetext_color', 'peccular_inner_pages', 'Text Color', '');
// addColorPalatOption($wp_customize, 'peccular_innerpage_blockquoteborder_color', 'peccular_inner_pages', 'Border Color', '');
addColorPalatOption($wp_customize, 'peccular_innerpage_blockquotelbeltext_color', 'peccular_inner_pages', 'Label Text Color', '');
 addColorPalatOption($wp_customize, 'peccular_innerpage_blockquotelbelbg_color', 'peccular_inner_pages', 'Label BG Color', '');
 addColorPalatOption($wp_customize, 'peccular_innerpage_blockquoteleftshape_color', 'peccular_inner_pages', 'Left Shape BG Color', '');

?>