<?php
/**
 * The sidebar containing the main widget area.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package peccular Premium
 */
?>
<?php $sidebar = peccular_lite_custom_sidebar(); ?>
<div id="secondary" class="widget-area">
	<?php //dynamic_sidebar( 'total-shop-sidebar' ); ?>
	<aside class="sidebar c-4-12">
		<div id="sidebars" class="sidebar">
			<div class="sidebar_list">
				<?php if ( ! dynamic_sidebar( $sidebar )) : ?>
					<div id="sidebar-search" class="widget wow bounceInUp">
						<h4><?php _e('Search', 'peccular Premium'); ?> <svg xmlns="http://www.w3.org/2000/svg" width="334.087" height="51" viewBox="0 0 334.087 51">
  <path id="Path_82" data-name="Path 82" d="M337.6,0h-224.9c-3.764,0-6.815,2.686-6.815,6V45c0,3.314,3.051,6,6.815,6H439.827s2.75-8.44-16.285-14.764-36.7-1.631-59.853-10.531S341.362,0,337.6,0Z" transform="translate(-105.878)" fill="#fe8532"/>
</svg> </h4>
						<div class="widget-wrap">
							<?php get_search_form(); ?>
						</div>
					</div>
					<div id="sidebar-archives" class="widget wow bounceInUp">
						<h4><?php _e('Archives', 'peccular Premium') ?> <svg xmlns="http://www.w3.org/2000/svg" width="334.087" height="51" viewBox="0 0 334.087 51">
  <path id="Path_82" data-name="Path 82" d="M337.6,0h-224.9c-3.764,0-6.815,2.686-6.815,6V45c0,3.314,3.051,6,6.815,6H439.827s2.75-8.44-16.285-14.764-36.7-1.631-59.853-10.531S341.362,0,337.6,0Z" transform="translate(-105.878)" fill="#fe8532"/>
</svg></h4>
						<div class="widget-wrap">
							<ul>
								<?php wp_get_archives( 'type=monthly' ); ?>
							</ul>
						</div>
					</div>
					<div id="sidebar-meta" class="widget wow bounceInUp">
						<h4><?php _e('Meta', 'peccular Premium') ?> <svg xmlns="http://www.w3.org/2000/svg" width="334.087" height="51" viewBox="0 0 334.087 51">
  <path id="Path_82" data-name="Path 82" d="M337.6,0h-224.9c-3.764,0-6.815,2.686-6.815,6V45c0,3.314,3.051,6,6.815,6H439.827s2.75-8.44-16.285-14.764-36.7-1.631-59.853-10.531S341.362,0,337.6,0Z" transform="translate(-105.878)" fill="#fe8532"/>
</svg></h4>
						<div class="widget-wrap">
							<ul>
								<?php wp_register(); ?>
								<li><?php wp_loginout(); ?></li>
								<?php wp_meta(); ?>
							</ul>
						</div>
					</div>
				<?php endif; ?>
			</div>
		</div><!--sidebars-->
	</aside>
</div><!-- #secondary -->
