<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package peccular Premium
 */
$peccular_lite_single_breadcrumb_section = get_theme_mod('peccular_lite_single_breadcrumb_section', '1');
$peccular_lite_single_tags_section = get_theme_mod('peccular_lite_single_tags_section', '1');
$peccular_lite_authorbox_section = get_theme_mod('peccular_lite_authorbox_section', '1');
$peccular_lite_relatedposts_section = get_theme_mod('peccular_lite_relatedposts_section', '1');

get_header(); ?> 
<?php 

 $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
    <header class="page-main-header2" > 
    
        <?php if( get_theme_mod('peccular_header_curve_shape_display','show' ) == 'show') :
                        ?>  
                             <div class="curve-shape-header">
                                 <?php 
                                $peccular_header_curve_shape_image1 = get_theme_mod('peccular_header_curve_shape_image1');
                                if(!empty($peccular_header_curve_shape_image1)){
                                    echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_header_curve_shape_image1).'" class="peccular-header-imgcurveshape1" />';
                                }else{
                                    echo '<img alt="header curve" src="'.get_template_directory_uri().'/images/header1.png" class="peccular-header-imgcurveshape1" />';
                                }
         
                                ?> 
                                <?php 
                                $peccular_header_curve_shape_image2 = get_theme_mod('peccular_header_curve_shape_image2');
                                if(!empty($peccular_header_curve_shape_image2)){
                                    echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_header_curve_shape_image2).'" class="peccular-header-imgcurveshape2" />';
                                }else{
                                    echo '<img alt="header curve" src="'.get_template_directory_uri().'/images/header2.png" class="peccular-header-imgcurveshape2" />';
                                }
         
                                ?> 
                                    <?php 
                                $peccular_header_curve_shape_image3 = get_theme_mod('peccular_header_curve_shape_image3');
                                if(!empty($peccular_header_curve_shape_image3)){
                                    echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_header_curve_shape_image3).'" class="peccular-header-imgcurveshape3" />';
                                }else{
                                    echo '<img alt="header curve" src="'.get_template_directory_uri().'/images/header3.png" class="peccular-header-imgcurveshape3" />';
                                }
         
                                ?> 
                                <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="531" height="480" viewBox="0 0 531 480">
                                  <defs>
                                    <clipPath id="clip-path">
                                      <rect id="Rectangle_101" data-name="Rectangle 101" width="531" height="480" transform="translate(385.534 292)" fill="#fff" stroke="#707070" stroke-width="1"/>
                                    </clipPath>
                                  </defs>
                                  <g id="Mask_Group_5" data-name="Mask Group 5" transform="translate(-385.534 -292)" clip-path="url(#clip-path)">
                                    <g id="Group_248" data-name="Group 248">
                                      <path id="Path_7" data-name="Path 7" d="M552.075,0A803.618,803.618,0,0,1,682.4,10.606C789.973,28.3,894.353,43.084,919.027,164.288c14.96,73.486.624,190.733-78.024,222.882-18.255,7.463-37.5,9.9-57.207,9.9-18.481,0-37.372-2.14-56.244-4.28s-37.727-4.28-56.13-4.28c-21.059,0-41.526,2.8-60.771,11.613-48.783,22.337-73.992,56.833-86.83,108.927s-17.889,107.332-44.15,154.118C443.191,728.16,367.833,766.32,293.194,766.32q-8.349,0-16.662-.64C196.678,759.5,123.045,712.4,75.54,647.917S5.069,503.119.726,423.149c-4.575-84.225,12.231-172.707,64.241-239.114,36.365-46.432,87.458-79.191,140.455-105.072C312.917,26.469,432.525,0,552.075,0" transform="translate(-0.008)" fill="#006067" fill-rule="evenodd"/>
                                    </g>
                                  </g>
                                </svg>         
                             </div>
                            <?php endif ?>


        
        <div class="header-rightsvgshape">
            <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="517.636" height="495.667" viewBox="0 0 517.636 495.667">
  <defs>
    <linearGradient id="linear-gradient" x1="0.5" x2="0.455" y2="1" gradientUnits="objectBoundingBox">
      <stop offset="0" stop-color="#fc812d"/>
      <stop offset="1" stop-color="#fe8532"/>
    </linearGradient>
  </defs>
  <path id="Path_65" data-name="Path 65" d="M4718.906,990c-25.437,19.5,7.115,52.632-45.9,78s-101.159-12.645-166.158,23.473-25.26,83.264-57.38,142.2-59.251,44.283-71.1,93.555-69.021,34-92.027,71.437,0,78.331,0,78.331H4793.75V990S4744.344,970.5,4718.906,990Z" transform="translate(-4276.114 -981.333)" fill="url(#linear-gradient)"/>
</svg>

        </div>
<div class="header-rightsvgshape-border">
    <svg xmlns="http://www.w3.org/2000/svg" width="431.389" height="460.632" viewBox="0 0 431.389 460.632">
  <path id="Path_66" data-name="Path 66" d="M4723.418,998.94a17.313,17.313,0,0,0-6.676,9.71c-1.669,6.524,0,16.386,0,16.386a80.383,80.383,0,0,1,1.98-14.243A54.038,54.038,0,0,1,4723.418,998.94Z" transform="translate(-4292.029 -998.94)" fill="#fff"/>
  <path id="Path_67" data-name="Path 67" d="M4700.361,1060.843s-4.592,9.661-20.371,16.64-42.884,10.717-42.884,10.717,28.247-.077,44.026-7.056S4700.361,1060.843,4700.361,1060.843Z" transform="translate(-4293.029 -997.94)" fill="#fff"/>
  <path id="Path_68" data-name="Path 68" d="M4654.021,1408.8a75.51,75.51,0,0,1-15.469,17.4c-10.333,8.667-17.571,5.682-18.54,9.8s4.333,15.333,14.667,6.667S4654.021,1408.8,4654.021,1408.8Z" transform="translate(-4292.029 -998.94)" fill="#fcfcfc"/>
  <path id="Path_69" data-name="Path 69" d="M4318.754,1394.877s-20.118,11.44-25.247,27.614,4.733,37.081,4.733,37.081-3.424-20.907,1.7-37.081S4318.754,1394.877,4318.754,1394.877Z" transform="translate(-4292.029 -998.94)" fill="#fcfcfc"/>
</svg>
</div>
 <div class="container">
     <div class="row innerpage-header-area m-0">

                <div class="site-details col-md-6">
              
                <div class="image-icon">

    <?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="Page_title_breadcrumb <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <div class="clearfix"></div>
         <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
            <div class="Breadcrumb_title">
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
            </div>
            <div class="clearfix"></div>
        </div>
 <?php } ?> 
    </div>
 <?php } ?> 

     </div>

</div> 
<div class="col-md-6 img-width">
    <div class="feature-box-img">

    <?php  if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){ ?>

     <?php  if (!empty($image)) : ?>
         <img src="<?php echo esc_url($image); ?>"  class="ht-page-header-img" alt="<?php the_title();?>" />
           <div class="peccular-innerpage-img-overlay"></div> 
      <?php endif ?> 
     
     <?php } ?>       
 </div>  
             
</div>


        

<div class="clearfix"></div>
</div>
<div class="clearfix"></div>
</div>

</header><!-- .entry-header --> 

<div class="clearfix"></div>
</div>
<main id="innerpage-box">
   <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>" >
        <div class="inner_contentbox">
        <div id="content-box" class="innerpage-whitebox">

<?php if (get_theme_mod('peccular__blogspost_layout') == '1' ) { ?>
            
 <div class="row">

            <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 px-5">
              <div id="secondary" class="widget-area">
                <?php  dynamic_sidebar('peccular-service-sidebar'); ?>
              </div>
            </div>
  
           <article class="article col-lg-8 col-md-8 col-sm-8 col-xs-12"> 

                <?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
                <div id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>
                    <div class="single_post">
                       <!-- Start Content -->
                       <div id="content" class="post-single-content box mark-links">
                        <?php the_content(); ?>
                        <?php if($peccular_lite_single_tags_section == '1') { ?>
                            <!-- Start Tags -->
                            <div class="tags"><?php the_tags('<span class="tagtext">'.__('Tags','peccular Premium').':</span>',', ') ?></div>
                            <!-- End Tags -->
                        <?php } ?>
                    </div><!-- End Content -->    
                    </div>
                </div>
            <?php endwhile; ?>
        </article>

     </div>       
       

<?php } else if (get_theme_mod('peccular__blogspost_layout') == '2' ) {?>

     <article class="article">       
                <?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
                <div id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>
                    <div class="single_post">
                       <!-- Start Content -->
                       <div id="content" class="post-single-content box mark-links">
                        <?php the_content(); ?>
                     
                        
                        <?php if($peccular_lite_single_tags_section == '1') { ?>
                            <!-- Start Tags -->
                            <div class="tags"><?php the_tags('<span class="tagtext">'.__('Tags','peccular Premium').':</span>',', ') ?></div>
                            <!-- End Tags -->
                        <?php } ?>
                    </div><!-- End Content -->    
                    </div>
                </div>
            <?php endwhile; ?>
        </article>
       
   
<?php } else if (get_theme_mod('peccular__blogspost_layout') == '0' ) { ?>
     
     <div class="row">

  <article class="article col-lg-8 col-md-8 col-sm-8 col-xs-12">   

                <?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
                <div id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>
                    <div class="single_post">
                       <!-- Start Content -->
                       <div id="content" class="post-single-content box mark-links">
                        <?php the_content(); ?>

                     
                        
                        <?php if($peccular_lite_single_tags_section == '1') { ?>
                            <!-- Start Tags -->
                            <div class="tags"><?php the_tags('<span class="tagtext">'.__('Tags','peccular Premium').':</span>',', ') ?></div>
                            <!-- End Tags -->
                        <?php } ?>
                    </div><!-- End Content -->    
                    </div>
                </div>
            <?php endwhile; ?>
        </article>
         <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 px-5">
              <div id="secondary" class="widget-area">
                <?php  dynamic_sidebar('peccular-courses-sidebar'); ?>
              </div>
            </div>
        </div>

<?php } ?> 

           
        <!-- End Article -->
        <!-- Start Sidebar -->
        <?php // get_sidebar(); ?>
        <!-- End Sidebar -->
    </div>
    <div class="clearfix"></div>
</div>
  <div class="clearfix"></div>
</div>
</main>
<?php get_footer(); ?>
