<?php
/**
 *
 * @package Slider Premium
 */
?>
<?php $showContent = get_theme_mod('slider_section_show_content', 'on'); ?>
<section class="slider-area" id="slider">

    <?php if( get_theme_mod('peccular_header_curve_shape_display','show' ) == 'show') :
                        ?>  
                             <div class="curve-shape-header">
                                 <?php 
                                $peccular_header_curve_shape_image1 = get_theme_mod('peccular_header_curve_shape_image1');
                                if(!empty($peccular_header_curve_shape_image1)){
                                    echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_header_curve_shape_image1).'" class="peccular-header-imgcurveshape1" />';
                                }else{
                                    echo '<img alt="header curve" src="'.get_template_directory_uri().'/images/header1.png" class="peccular-header-imgcurveshape1" />';
                                }
         
                                ?> 
                                <?php 
                                $peccular_header_curve_shape_image2 = get_theme_mod('peccular_header_curve_shape_image2');
                                if(!empty($peccular_header_curve_shape_image2)){
                                    echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_header_curve_shape_image2).'" class="peccular-header-imgcurveshape2" />';
                                }else{
                                    echo '<img alt="header curve" src="'.get_template_directory_uri().'/images/header2.png" class="peccular-header-imgcurveshape2" />';
                                }
         
                                ?> 
                                    <?php 
                                $peccular_header_curve_shape_image3 = get_theme_mod('peccular_header_curve_shape_image3');
                                if(!empty($peccular_header_curve_shape_image3)){
                                    echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_header_curve_shape_image3).'" class="peccular-header-imgcurveshape3" />';
                                }else{
                                    echo '<img alt="header curve" src="'.get_template_directory_uri().'/images/header3.png" class="peccular-header-imgcurveshape3" />';
                                }
         
                                ?> 
                                <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="531" height="480" viewBox="0 0 531 480">
                                  <defs>
                                    <clipPath id="clip-path">
                                      <rect id="Rectangle_101" data-name="Rectangle 101" width="531" height="480" transform="translate(385.534 292)" fill="#fff" stroke="#707070" stroke-width="1"/>
                                    </clipPath>
                                  </defs>
                                  <g id="Mask_Group_5" data-name="Mask Group 5" transform="translate(-385.534 -292)" clip-path="url(#clip-path)">
                                    <g id="Group_248" data-name="Group 248">
                                      <path id="Path_7" data-name="Path 7" d="M552.075,0A803.618,803.618,0,0,1,682.4,10.606C789.973,28.3,894.353,43.084,919.027,164.288c14.96,73.486.624,190.733-78.024,222.882-18.255,7.463-37.5,9.9-57.207,9.9-18.481,0-37.372-2.14-56.244-4.28s-37.727-4.28-56.13-4.28c-21.059,0-41.526,2.8-60.771,11.613-48.783,22.337-73.992,56.833-86.83,108.927s-17.889,107.332-44.15,154.118C443.191,728.16,367.833,766.32,293.194,766.32q-8.349,0-16.662-.64C196.678,759.5,123.045,712.4,75.54,647.917S5.069,503.119.726,423.149c-4.575-84.225,12.231-172.707,64.241-239.114,36.365-46.432,87.458-79.191,140.455-105.072C312.917,26.469,432.525,0,552.075,0" transform="translate(-0.008)" fill="#006067" fill-rule="evenodd"/>
                                    </g>
                                  </g>
                                </svg>         
                             </div>
                            <?php endif ?>
    <div class="<?php if(get_theme_mod('peccular_slider_section_width','Full Width') == 'Full Width'){ ?>container-fluid pd-0 <?php } elseif(get_theme_mod('peccular_slider_section_width','Full Width') == 'Box Width'){ ?> container <?php }?>">

    <div class="hero-slider hero-style">
    <div class="swiper-container">
      <div class="swiper-wrapper">

 
        <?php
        $args = array( 'post_type' => 'slider', 'orderby'   => 'id', 'order' => 'DESC',);
        if(!empty($pageId)){
            $args['page_id'] = absint($pageId);

        } 
        $text = '';
        $query = new WP_Query($args);
        if($query->have_posts()){
            while($query->have_posts()) : $query->the_post();  

                $slider1btntext = get_post_meta($post->ID, 'slider1btntext', false);
                 $test_slider1btntext = !empty($slider1btntext[0]) ? $slider1btntext[0] : '';
  
                ?> 
        <div class="swiper-slide">
            <div class="slide-inner">

                     <div class="slide_bg">
               

                            <div class="sliderimg">
                              <!--   <div class="slideOverlay"></div>
                                <div class="sliderblrbg"></div> -->
                                <?php 
                            if(has_post_thumbnail()){
                                $total_slider_image = wp_get_attachment_image_src(get_post_thumbnail_id(),'full');  
                                echo '<img class="slide-mainimg slidershape1" alt="'. esc_html(get_the_title()) .'" src="'.esc_url($total_slider_image[0]).'">';
                            }?>
                        </div>
                    
                <?php if($showContent == 'on'){?>                    
                            <div class="slider-inner-mainbox">                                
                           
                                <div class="slide-title animated fadeInDownBig">
                                    <h2><?php echo (get_the_title()); ?></h2>                              
                                </div>
                                 <div class="slide-text <?php echo esc_attr(get_theme_mod('peccular_slider_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s"><p><?php echo (get_the_content()); ?></p></div>
                                <div class="clearfix"></div>  
                                 <div class="sliderbtns">
                                
                                     <?php
                                    $sliderbtn1url = get_post_meta($post->ID, 'sliderbtn1url', false);
                                    $slider1_btn_url = !empty($sliderbtn1url[0]) ? $sliderbtn1url[0] : '';
                                    ?>
                                    <?php if ($slider1_btn_url) { ?>
                                    
                                    <div class="slide-btns-1 <?php echo esc_attr(get_theme_mod('peccular_slider_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s"> <a class="ReadMore" href="<?php echo $slider1_btn_url; ?>"><?php echo ($test_slider1btntext); ?></a>
                                    </div> 
                                     <?php }?>
                                    
                                </div>   
                            </div>
                 <?php }?> 
                                <?php if( get_theme_mod('peccular_slider_rightside_img_display','show' ) == 'show') :
                        ?>  
                          <div class="rightside-slider-image">
                                 <?php 
                                $peccular_slider_rightside_image = get_theme_mod('peccular_slider_rightside_image');
                                if(!empty($peccular_slider_rightside_image)){
                                    echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_slider_rightside_image).'" class="peccular-slider-imgrside" />';
                                }else{
                                    echo '<img alt="slider right side image" src="'.get_template_directory_uri().'/images/slider-rightside-img-trans.png" class="peccular-slider-imgrside" />';
                                }
         
                                ?>  
                                   <svg xmlns="http://www.w3.org/2000/svg" width="287.859" height="631.694" viewBox="0 0 287.859 631.694">
                                      <path id="Path_5" data-name="Path 5" d="M2453,213.307s-81.674-1.389-113.205,70.93,23.774,140.827-12.92,218.346-112.21,54.9-148.579,148.579S2192.508,845,2192.508,845H2453Z" transform="translate(-2165.141 -213.306)" fill="#fff1e8"/>
                                    </svg>
                             </div>
                         <?php endif ?>
                    
                </div>          

                    </div>
                </div>

                    <?php
                endwhile;
            }else{ 
                for($i=0;$i<1;$i++){?>

                    <div class="swiper-slide">
                    <div class="slide-inner ">
                         <div class="slide_bg">
                        
                             <div class="sliderimg">     
                      <!--   <div class="slideOverlay"></div>
                        <div class="sliderblrbg"></div> -->
                           <?php echo '<img class="slide-mainimg" alt="Slider" src="'. esc_html(get_template_directory_uri()) .'/images/SliderImage.jpg">';?>   
                         
                        
                        </div>

                                                 
                        <?php if($showContent == 'on'){?>
                            <div class="slider-inner-mainbox">          
                                <div class="slide-title <?php echo esc_attr(get_theme_mod('peccular_slider_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s"><h2>chef Melissa <span>Cooking Classess</span></h2> </div>
                                  <div class="slide-text <?php echo esc_attr(get_theme_mod('peccular_slider_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s"><p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the standard</p>
                                </div>  
                                <div class="clearfix"></div>
                                <div class="sliderbtns">
                                    <div class="slide-btns-1 <?php echo esc_attr(get_theme_mod('peccular_slider_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s"><a class="ReadMore" href="">Learn With Us</a></div> 
                                </div>   
                             <div class="clearfix"></div>
                        </div>
                    
                        <?php }?>
                                <?php if( get_theme_mod('peccular_slider_rightside_img_display','show' ) == 'show') :
                        ?>  
                          <div class="rightside-slider-image">
                                 <?php 
                                $peccular_slider_rightside_image = get_theme_mod('peccular_slider_rightside_image');
                                if(!empty($peccular_slider_rightside_image)){
                                    echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_slider_rightside_image).'" class="peccular-slider-imgrside" />';
                                }else{
                                    echo '<img alt="slider right side image" src="'.get_template_directory_uri().'/images/slider-rightside-img-trans.png" class="peccular-slider-imgrside" />';
                                }
         
                                ?>  
                                   <svg xmlns="http://www.w3.org/2000/svg" width="287.859" height="631.694" viewBox="0 0 287.859 631.694">
                                      <path id="Path_5" data-name="Path 5" d="M2453,213.307s-81.674-1.389-113.205,70.93,23.774,140.827-12.92,218.346-112.21,54.9-148.579,148.579S2192.508,845,2192.508,845H2453Z" transform="translate(-2165.141 -213.306)" fill="#fff1e8"/>
                                    </svg>
                             </div>
                         <?php endif ?>

            </div>
                    </div>
                </div>
                <?php }
            }?>
    </div>
        <div class="swiper-pagination"></div>
        <div class="swiper-button-next"></div>
        <div class="swiper-button-prev"></div>
</div>
</div>
		

	</div>
</section>