<?php
/**
 * Template Name: Contact Page
 *
 * @package peccular Premium
 */
get_header(); 
?>
 <?php 

 $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
    <header class="page-main-header2" > 
    	
        <?php if( get_theme_mod('peccular_header_curve_shape_display','show' ) == 'show') :
                        ?>  
                             <div class="curve-shape-header">
                                 <?php 
                                $peccular_header_curve_shape_image1 = get_theme_mod('peccular_header_curve_shape_image1');
                                if(!empty($peccular_header_curve_shape_image1)){
                                    echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_header_curve_shape_image1).'" class="peccular-header-imgcurveshape1" />';
                                }else{
                                    echo '<img alt="header curve" src="'.get_template_directory_uri().'/images/header1.png" class="peccular-header-imgcurveshape1" />';
                                }
         
                                ?> 
                                <?php 
                                $peccular_header_curve_shape_image2 = get_theme_mod('peccular_header_curve_shape_image2');
                                if(!empty($peccular_header_curve_shape_image2)){
                                    echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_header_curve_shape_image2).'" class="peccular-header-imgcurveshape2" />';
                                }else{
                                    echo '<img alt="header curve" src="'.get_template_directory_uri().'/images/header2.png" class="peccular-header-imgcurveshape2" />';
                                }
         
                                ?> 
                                    <?php 
                                $peccular_header_curve_shape_image3 = get_theme_mod('peccular_header_curve_shape_image3');
                                if(!empty($peccular_header_curve_shape_image3)){
                                    echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_header_curve_shape_image3).'" class="peccular-header-imgcurveshape3" />';
                                }else{
                                    echo '<img alt="header curve" src="'.get_template_directory_uri().'/images/header3.png" class="peccular-header-imgcurveshape3" />';
                                }
         
                                ?> 
                                <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="531" height="480" viewBox="0 0 531 480">
                                  <defs>
                                    <clipPath id="clip-path">
                                      <rect id="Rectangle_101" data-name="Rectangle 101" width="531" height="480" transform="translate(385.534 292)" fill="#fff" stroke="#707070" stroke-width="1"/>
                                    </clipPath>
                                  </defs>
                                  <g id="Mask_Group_5" data-name="Mask Group 5" transform="translate(-385.534 -292)" clip-path="url(#clip-path)">
                                    <g id="Group_248" data-name="Group 248">
                                      <path id="Path_7" data-name="Path 7" d="M552.075,0A803.618,803.618,0,0,1,682.4,10.606C789.973,28.3,894.353,43.084,919.027,164.288c14.96,73.486.624,190.733-78.024,222.882-18.255,7.463-37.5,9.9-57.207,9.9-18.481,0-37.372-2.14-56.244-4.28s-37.727-4.28-56.13-4.28c-21.059,0-41.526,2.8-60.771,11.613-48.783,22.337-73.992,56.833-86.83,108.927s-17.889,107.332-44.15,154.118C443.191,728.16,367.833,766.32,293.194,766.32q-8.349,0-16.662-.64C196.678,759.5,123.045,712.4,75.54,647.917S5.069,503.119.726,423.149c-4.575-84.225,12.231-172.707,64.241-239.114,36.365-46.432,87.458-79.191,140.455-105.072C312.917,26.469,432.525,0,552.075,0" transform="translate(-0.008)" fill="#006067" fill-rule="evenodd"/>
                                    </g>
                                  </g>
                                </svg>         
                             </div>
                            <?php endif ?>


        
        <div class="header-rightsvgshape">
            <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="517.636" height="495.667" viewBox="0 0 517.636 495.667">
  <defs>
    <linearGradient id="linear-gradient" x1="0.5" x2="0.455" y2="1" gradientUnits="objectBoundingBox">
      <stop offset="0" stop-color="#fc812d"/>
      <stop offset="1" stop-color="#fe8532"/>
    </linearGradient>
  </defs>
  <path id="Path_65" data-name="Path 65" d="M4718.906,990c-25.437,19.5,7.115,52.632-45.9,78s-101.159-12.645-166.158,23.473-25.26,83.264-57.38,142.2-59.251,44.283-71.1,93.555-69.021,34-92.027,71.437,0,78.331,0,78.331H4793.75V990S4744.344,970.5,4718.906,990Z" transform="translate(-4276.114 -981.333)" fill="url(#linear-gradient)"/>
</svg>

        </div>
<div class="header-rightsvgshape-border">
    <svg xmlns="http://www.w3.org/2000/svg" width="431.389" height="460.632" viewBox="0 0 431.389 460.632">
  <path id="Path_66" data-name="Path 66" d="M4723.418,998.94a17.313,17.313,0,0,0-6.676,9.71c-1.669,6.524,0,16.386,0,16.386a80.383,80.383,0,0,1,1.98-14.243A54.038,54.038,0,0,1,4723.418,998.94Z" transform="translate(-4292.029 -998.94)" fill="#fff"/>
  <path id="Path_67" data-name="Path 67" d="M4700.361,1060.843s-4.592,9.661-20.371,16.64-42.884,10.717-42.884,10.717,28.247-.077,44.026-7.056S4700.361,1060.843,4700.361,1060.843Z" transform="translate(-4293.029 -997.94)" fill="#fff"/>
  <path id="Path_68" data-name="Path 68" d="M4654.021,1408.8a75.51,75.51,0,0,1-15.469,17.4c-10.333,8.667-17.571,5.682-18.54,9.8s4.333,15.333,14.667,6.667S4654.021,1408.8,4654.021,1408.8Z" transform="translate(-4292.029 -998.94)" fill="#fcfcfc"/>
  <path id="Path_69" data-name="Path 69" d="M4318.754,1394.877s-20.118,11.44-25.247,27.614,4.733,37.081,4.733,37.081-3.424-20.907,1.7-37.081S4318.754,1394.877,4318.754,1394.877Z" transform="translate(-4292.029 -998.94)" fill="#fcfcfc"/>
</svg>
</div>
 <div class="container">
     <div class="row innerpage-header-area m-0">

                <div class="site-details col-md-6">
              
                <div class="image-icon">

    <?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="Page_title_breadcrumb <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <div class="clearfix"></div>
         <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
            <div class="Breadcrumb_title">
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->
            </div>
            <div class="clearfix"></div>
        </div>
 <?php } ?> 
    </div>
 <?php } ?> 

     </div>

</div> 
<div class="col-md-6 img-width">
    <div class="feature-box-img">

    <?php  if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){ ?>

     <?php  if (!empty($image)) : ?>
         <img src="<?php echo esc_url($image); ?>"  class="ht-page-header-img" alt="<?php the_title();?>" />
           <div class="peccular-innerpage-img-overlay"></div> 
      <?php endif ?> 
     
     <?php } ?>       
 </div>  
             
</div>


        

<div class="clearfix"></div>
</div>
<div class="clearfix"></div>
</div>

</header><!-- .entry-header --> 

<div class="clearfix"></div>
</div>
<main id="innerpage-box">
		<div class="inner_contentbox">
		<?php 

		$peccular_contactpage_heading = get_theme_mod('peccular_contactpage_heading', 'Get In Touch');
		$peccular_contactpage_subheading = get_theme_mod('peccular_contactpage_subheading', 'contact');
		$peccular_contactpage_text = get_theme_mod('peccular_contactpage_text', 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been');
		
		$peccular_contactpage_infotitle = get_theme_mod('peccular_contactpage_infotitle', 'Get In Touch');
		$peccular_contactpage_address1 = get_theme_mod('peccular_contactpage_address1', '2443 Oak Ridge Omaha, QA 45065');
		$peccular_contact_page_email = get_theme_mod('peccular_contact_page_email', 'infosupport@site.com');
		$peccular_contact_page_phone = get_theme_mod('peccular_contact_page_phone', '207-8767-452');

		$peccular_contact_timetitle = get_theme_mod('peccular_contact_timetitle', 'Opne Every Day');
		$peccular_contact_page_time1 = get_theme_mod('peccular_contact_page_time1', 'mon - thur : 11:30am -12am');
		$peccular_contact_page_time2 = get_theme_mod('peccular_contact_page_time2', 'fri : 11:30am-2am');
		$peccular_contact_page_time3 = get_theme_mod('peccular_contact_page_time3', 'sat : 9:30am-2am');
		$peccular_contact_page_time4 = get_theme_mod('peccular_contact_page_time4', 'sun : 9:30am-12am');

	
		$peccular_contactpage_form_title = get_theme_mod('peccular_contactpage_form_title', 'Logo Here');
		$peccular_contactpage_form_text = get_theme_mod('peccular_contactpage_form_text', 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since');
		$peccular_contactpage_form_lable = get_theme_mod('peccular_contactpage_form_lable', 'Inquiry with us');
		$peccular_contact_page_form_shortcode = get_theme_mod('peccular_contactpage_form_shortcode', 'Add Form [SHORTCODE] Here');
			
	    $peccular_contact_socialstitle = get_theme_mod('peccular_contact_socialstitle', 'FALLOW US');
		   $contact_page_iframemaptitle_shortcode = get_theme_mod('contact_page_iframemaptitle_shortcode', '2443 Oak Ridge Omaha, QA 45065');
	      $contact_page_iframe_shortcode = get_theme_mod('contact_page_iframe_shortcode', 'Add Map Embed Code Here');
	    
     	?>
     <div id="peccular-contactus-wrap">  
        <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?> container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == ' Full Width'){ ?> container-fluid <?php }?>">     


     <div class="row contact_formBox m-0">
     	<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 pd-0">
     		 	<div class="contact-head-area  <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
     		 	<h5><?php echo ($peccular_contactpage_subheading);  ?></h5>        
     			<h4><?php echo ($peccular_contactpage_heading);  ?></h4>
     			<p><?php echo ($peccular_contactpage_text);  ?></p>   

				<?php
			      $peccular_contactbutton = get_theme_mod('peccular_contact_btn_txt', 'Join Now'); 
			      $peccular_contactbtnlink = get_theme_mod('peccular_contact_btnlink', '#');  
			    ?>

			      <?php if( get_theme_mod('peccular_contact_button_display','show' ) == 'show') :
			        ?>  
			        <div class="peccular-contact-btn">
			      		
				           <a class="more-button btn btn-lg red" href="<?php echo $peccular_contactbtnlink ?>" target="_blank">      
			            <?php echo ($peccular_contactbutton );  ?>

			          </a>
				     
			       </div>
			        <?php endif ?>    
			        </div> 
     	</div>
     	<?php if(!empty($peccular_contact_timetitle || $peccular_contact_page_time1 || $peccular_contact_page_time2  || $peccular_contact_page_time3 || $peccular_contact_page_time4)){ ?>
     	<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 pd-0">
     			

				<div class="contactinner-block <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
					<div class="contactinner-area">

						<?php if($peccular_contact_timetitle){ ?> 	           
				              <h6><?php echo ($peccular_contact_timetitle);  ?></h6>        
				        <?php }?>	
						<?php if(!empty($peccular_contact_page_time1)){ ?>
							<div class="contact-time">
							<?php echo ($peccular_contact_page_time1);  ?>
							</div>
						<?php } ?>
						<?php if(!empty($peccular_contact_page_time2)){ ?>
							<div class="contact-time">
							<?php echo ($peccular_contact_page_time2);  ?>
							</div>
						<?php } ?>
							<?php if(!empty($peccular_contact_page_time3)){ ?>
							<div class="contact-time">
							<?php echo ($peccular_contact_page_time3);  ?>
							</div>
						<?php } ?>
						<?php if(!empty($peccular_contact_page_time4)){ ?>
							<div class="contact-time">
							<?php echo ($peccular_contact_page_time4);  ?>
							</div>
						<?php } ?>

						<div class="clearfix"></div>

				<?php
			      $peccular_contacttimebutton = get_theme_mod('peccular_contacttime_btn_txt', 'Get Directions'); 
			      $peccular_contacttimebtnlink = get_theme_mod('peccular_contacttime_btnlink', '#');  
			    ?>

			      <?php if( get_theme_mod('peccular_contacttime_button_display','show' ) == 'show') :
			        ?>  
			        <div class="peccular-contacttime-btn">
			      		
				           <a class="more-button btn btn-lg red" href="<?php echo $peccular_contacttimebtnlink ?>" target="_blank">      
			            <?php echo ($peccular_contacttimebutton );  ?>

			          </a>
				     
			       </div>
			        <?php endif ?>  
				<div class="c-page-t-svg">
			        <svg xmlns="http://www.w3.org/2000/svg" width="151.66" height="129.484" viewBox="0 0 151.66 129.484">
					  <path id="Path_77" data-name="Path 77" d="M6219.088,1845s-9.9,33.011,7.924,47.536,42.922-2.311,63.393,10.565,8.584,37.639,27.734,55.469S6368,1974.418,6368,1974.418V1845Z" transform="translate(-6216.344 -1845)" fill="#006067"/>
					</svg>
				</div>
				<div class="c-page-b-svg">
			        <svg xmlns="http://www.w3.org/2000/svg" width="206.135" height="133.398" viewBox="0 0 206.135 133.398">
					  <path id="Path_78" data-name="Path 78" d="M6420.3,1974.484s10.359-33.011-14.059-47.536-66.914,12.877-94.949,0-12.455-58.272-38.682-76.1-56.262-5.781-56.262-5.781v129.418H6420.3Z" transform="translate(-6216.345 -1841.086)" fill="#006067"/>
					</svg>
				</div>
					</div>
				</div>
                <div class="contact-box-shadow"></div>
				
     	</div>
     	<?php }?>
     	<div class="clearfix"></div>


    
     </div>
     <div class="clearfix"></div>
      	<div class=" contact-contact-mapbox <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
     		<h4 class="col-md-5 peccular-map-w "><?php echo ($contact_page_iframemaptitle_shortcode);  ?></h4>
				<div class="map_overlay"></div>
					<?php if(!empty($contact_page_iframe_shortcode)){ ?>
						<?php echo ($contact_page_iframe_shortcode);  ?>
					<?php }?>					
		</div>
<div class="clearfix"></div>
	<div class="contact_info_section   <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
	<h4 class="contct_info_head"><?php echo ($peccular_contactpage_infotitle);  ?></h4>
	<div class="contactinner-area">
		<?php if(!empty($peccular_contactpage_address1)){ ?>
			<div class="contact_info_area">
				<?php echo ($peccular_contactpage_address1); ?>
			</div>
		<?php }?>
	</div>
	<div class="contactinner-area">
		<?php if(!empty($peccular_contact_page_phone)){ ?>
			<div class="contact_info_area">
				<i class="fa fa-phone" aria-hidden="true"></i><br>
				<a href="telto:<?php echo $peccular_contact_page_email;?>"><?php echo ($peccular_contact_page_phone); ?></a>
			</div>
		<?php }?>
	</div>
	<div class="contactinner-area">
		<?php if(!empty($peccular_contact_page_email)){ ?>
			<div class="contact_info_area">
				<i class="fa fa-envelope" aria-hidden="true"></i><br>
				<a href="mailto:<?php echo $peccular_contact_page_email;?>"><?php echo ($peccular_contact_page_email);  ?></a>
			</div>
		<?php }?>
	</div>
	<div class="clearfix"></div>
</div>
		


	
	</div>
		<?php if(!empty($peccular_contact_page_form_shortcode)){ ?> 

						
			<div class="peccular-contact-page-form <?php echo esc_attr(get_theme_mod('peccular_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">	
				<div class="formsec-overlay"></div>

				     <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?> container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == ' Full Width'){ ?> container-fluid <?php }?>"> 

               	<div class="row">	
               		<div class="col-md-5">
               				<div class="peccular-about-img1"> 
								<?php 
								$peccular_logocontact_image = get_theme_mod('peccular_logocontact_image');
								if(!empty($peccular_logocontact_image)){
									echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($peccular_logocontact_image).'" class="peccular-logo-contact" />';
								}else{
									echo '<img alt="about us" src="'.get_template_directory_uri().'/images/cooking-master-logo.png" class="peccular-logo-contact" />';
								}
		 
								?>	

							 </div> 
               			<p><?php echo ($peccular_contactpage_form_text);  ?></p>
               		</div>
               		<div class="col-md-7">
			        <div class="conntact_box_form">		
			        	<h6><?php echo ($peccular_contactpage_form_lable);  ?></h6>

						<?php echo do_shortcode($peccular_contact_page_form_shortcode);?>
						<div class="clearfix"></div>
					</div>	
				</div>
					<div class="clearfix"></div>
				</div>


					<div class="clearfix"></div>
				</div>
				
				<div class="clearfix"></div>
			</div>
		<?php }?>
	
</div><!-- container-->	


	


	</div>	<!-- peccular-contactus-wrap-->	
						
		
	</div>
</main>
<?php get_footer(); ?>